mui.init();

mui.previewImage(); // 图片预览

var mainVue = new Vue({
	el: "#main",
	data: {
		menuList: [],
		qtckd: {
			id: '',
			ckId: '',
			ckMc: '',
			djrq: new Date().Format("yyyy-MM-dd"),
			qtckdBh: '',
			shzt: '0',
			wldw: '',
			ckmxDataList: [],
			wldwMc: '',
			cklx: '',
			cklxMc: '',
			shfs: '1',
			shrq: new Date().Format("yyyy-MM-dd"),
			shlxr: '',
			shlxdh: '',
			shdz: '',
			wlgsmc: '',
			shdh: '',
			orgId: '',
			orgMc: ''
		},
		ckjeHj: 0.00,
		ckslHj: 0,
		dckslHj: 0,
		shfsFlag: false,
		pdMenuList: [], //盘点权限列表,
		hasSdck: false, //是否拥有锁定，解锁仓库权限
		isLsmd: false,
		isShowJg: false
	},
	methods: {
		/*锁定解锁权限判断*/
		hasSdckPermission: function() {
			if (this.pdMenuList != null) {
				for (var i = 0; i < this.pdMenuList.length; i++) {
					if (this.pdMenuList[i].permission == 'inv:invPdd:check') {
						this.hasSdck = true;
						break;
					}
				}
			}
		},
		//计算填写的数量
		cal: function(item) {
			var sum = 0,
				count = 0;

			mui.each(this.qtckd.ckmxDataList, function(index, item) {
				if (item.ckdj == null || isNaN(item.ckdj)) {
					item.ckdj = 0;
				}
				if (item.cksl == null || isNaN(item.cksl)) {
					item.cksl = 0;
				}
				item.ckdj = Number(item.ckdj);
				item.ckje = Number(item.cksl) * Number(item.ckdj);

				sum = Number(sum) + Number(item.ckje);
				count = Number(count) + Number(item.cksl);
			});
			mainVue.ckslHj = count;
			mainVue.ckjeHj = sum;
		},
		//减少
		minusNum: function(item, index) {
			if (item.cksl > 1) {
				item.cksl = Number(item.cksl) - 1;
			}
			Vue.set(mainVue.qtckd.ckmxDataList, index, item);
			this.cal();
		},
		//添加
		plusNum: function(item, index) {
			if (item.cksl < item.kcksl) {
				item.cksl = Number(item.cksl) + 1;
			}

			Vue.set(mainVue.qtckd.ckmxDataList, index, item);
			this.cal();
		},
		//删除已选的商品
		del: function(index) {
			mui.confirm("确认要删除该商品吗?", "删除商品", ["取消", "确认"], function(e) {
				if (e.index == 1) {
					mainVue.qtckd.ckmxDataList.splice(index, 1);
					mainVue.cal();
				}
			}, 'div');
		},
		/*完成按钮事件*/
		save: function(tag) {
			//草稿
			if (tag == "0") {
				mainVue.qtckd.shzt = '0'
			} else if (tag == "1") {	
				//入库
				mainVue.qtckd.shzt = '1';
			}
			var params = this.qtckd;

			if (params.djrq == '') {
				mui.toast('请填写出库日期！');
				return;
			}
			var isEmpty = true;
			var isFlag = false;
			var isMinu = false;
			mui.each(params.ckmxDataList, function(index, item) {
				if (Number(item.cksl) < 0) {
					isMinu = true;
					return false;
				}
				if (parseFloat(item.cksl) > 0) {
					isEmpty = false;
				}
				if ((item.dcksl - item.ycksl) < item.cksl) {
					isFlag = true;
					return false;
				}
			})
			if (isFlag) {
				mui.toast('出库数量不能大于待出库数量！');
				return;
			}
			if (isMinu) {
				mui.toast('出库数量不能为负数！');
				return;
			}
			if (isEmpty) {
				mui.toast("所有商品的【本次出库数】都为【0】，不允许生成出库单！");
				return;
			}
			params.dckId = mainVue.qtckd.id;
			params.ckjeHj = mainVue.ckjeHj;
			params.ckslHj = mainVue.ckslHj;
			params.dcksl = mainVue.dckslHj;
			params.id = "";
			if (params.shfs === '2') {
				if (params.shrq == '') {
					mui.toast('请选择送货时间！');
					return;
				}
				if (params.shlxr == '') {
					mui.toast('请填写客户联系人！');
					return;
				}
				if (params.shlxdh == '') {
					mui.toast('请填写送货联系电话！');
					return;
				}
				if (params.shlxdh != null && params.shlxdh != '') {
					var phoneReg = /^[1][3,4,5,7,8][0-9]{9}$/;
					if (!phoneReg.test(params.shlxdh)) {
						mui.toast('请填写正确的手机号码！');
						return false;
					}
				}
				if (params.shdz == '') {
					mui.toast('请填写送货联系地址！');
					return;
				}
			}
			if (params.shfs == '1') {
				params.shrq = null;
				params.shlxr = '';
				params.shlxdh = '';
				params.shdz = '';
				params.wlgsmc = '';
				params.shdh = '';
			}
			var url = hurl + 'qtckmx/save';
			loafish.utils.ajax4Post(url, params, "application/json", function(returnData) {
				if (returnData.success) {
					var data = returnData.data;
					mainVue.qtckd.id = data.id;
					mainVue.qtckd.djBh = data.djBh;

					var mainPage = plus.webview.getWebviewById("chukuRuku/chuku.html");
					mui.fire(mainPage, "queryCkd", {
						ywlx: '2'
					});

					mui.back = function() {
						mainPage.show();
						plus.webview.close(plus.webview.getWebviewById('dchuku_xq.html'));
						plus.webview.close(plus.webview.getWebviewById('dchuku_xz.html'));
					}
					mui.back();
					mui.toast('操作成功！');
				} else {
					if (returnData.lock) {
						var ckTips = "";
						if (mainVue.hasSdck) {
							ckTips = '<a onclick="tzck();return false">前往解锁</a>';
						} else {
							ckTips = "<span style='color:red;'>请通知仓库管理员进行解锁</span>";
						}
						mui.alert("此仓库为盘点锁定状态，请解锁后再进行操作！\n " + ckTips, "提示", "确定", function() {}, 'div')
						return;
					} else {
						mui.toast(returnData.msg);
					}
				}
			});
		},
		//送货方式切换
		shfsChange: function(zt) {
			mainVue.qtckd.shfs = zt;
			mainVue.shfsFlag = (zt === '2');
		}
	},
	filters: {
		cklxFilter: function(value) {
			var mc = '';
			if (value == "1") {
				mc = '销售出库';
			} else if (value == "2") {
				mc = '采购退货出库';
			} else if (value == "3") {
				mc = '调拨出库';
			} else if (value == "4") {
				mc = '拆卸出库';
			} else if (value == "5") {
				mc = '借用出库';
			} else if (value == "6") {
				mc = '自产加工物料出库';
			} else if (value == "7") {
				mc = '消费收银出库';
			} else if (value == "8") {
				mc = '盘亏出库';
			} else if (value == "9") {
				mc = '报损出库';
			} else if (value == "10") {
				mc = '网店发货出库';
			} else if (value == "11") {
				mc = '自产加工成品退库';
			}
			return mc;
		}
	}
});

//======================================================================
var isUpdate = false;
mui.plusReady(function() {
	var self = plus.webview.currentWebview();
	mainVue.menuList = self.menuList;
	mainVue.qtckd = self.qtckd;
	mainVue.qtckd.djrq = new Date().Format("yyyy-MM-dd");

	mainVue.isLsmd = isKqLsmd();
	mainVue.isShowJg = isShowCrkJg();
	var dckslHj = 0;
	for (var j = mainVue.qtckd.ckmxDataList.length - 1; j >= 0; j--) {
		var item = mainVue.qtckd.ckmxDataList[j];
		item.kcksl = item.dcksl - Number(item.ycksl);
		if (item.kcksl == 0) {
			mainVue.qtckd.ckmxDataList.splice(j, 1);
		}
		item.cksl = item.kcksl;
		dckslHj += (item.dcksl - item.ycksl);
	}

	mainVue.dckslHj = dckslHj;
	//初始化送货信息
	if (JSON.stringify(self.shItem) != '{}' && mainVue.qtckd.cklx == '1') {
		mainVue.qtckd.shrq = self.shItem.shrq;
		mainVue.qtckd.shfs = self.shItem.shfs;
		mainVue.qtckd.shlxr = self.shItem.shlxr;
		mainVue.qtckd.shlxdh = self.shItem.shlxdh;
		mainVue.qtckd.shdz = self.shItem.shdz;
		mainVue.qtckd.wlgsmc = self.shItem.wlgsmc;
		mainVue.qtckd.shdh = self.shItem.shdh;
		if (mainVue.qtckd.shfs == '2') {
			mainVue.shfsFlag = true;
		}

	} else {
		mainVue.qtckd.shrq = new Date().Format("yyyy-MM-dd");
		mainVue.qtckd.shfs = '1';
		mainVue.qtckd.shlxr = '';
		mainVue.qtckd.shlxdh = '';
		mainVue.qtckd.shdz = '';
		mainVue.qtckd.wlgsmc = '';
		mainVue.qtckd.shdh = '';
	}

	mainVue.cal();
	//获取盘点权限
	mainVue.pdMenuList = getMenuPermissions("pandian/pandian.html");
	mainVue.hasSdckPermission();
});

mui('.mui-scroll-wrapper').scroll();
