mui.init();

mui.previewImage(); // 图片预览

var mainVue = new Vue({
	el: "#main",
	data: {
		menuList: [],
		qtrkd: {
			id: '',
			ckId: '',
			ckMc: '',
			djrq: new Date().Format("yyyy-MM-dd"),
			qtrkdBh: '',
			shzt: '0',
			wldw: '',
			rkmxDataList: [],
			wldwMc: '',
			rklx: '',
			rklxMc: '',
			orgId: '',
			orgMc: '',
			crkBz: '',
		},
		rkjeHj: 0.00,
		rkslHj: 0,
		drkslHj: 0,
		pdMenuList: [], //盘点权限列表,
		hasSdck: false, //是否拥有锁定，解锁仓库权限
		isLsmd: false,
		isShowJg: false
	},
	methods: {
		/*锁定解锁权限判断*/
		hasSdckPermission: function() {
			if (this.pdMenuList != null) {
				for (var i = 0; i < this.pdMenuList.length; i++) {
					if (this.pdMenuList[i].permission == 'inv:invPdd:check') {
						this.hasSdck = true;
						break;
					}
				}
			}

		},
		//计算填写的数量
		cal: function(item) {
			var sum = 0,
				count = 0;

			mui.each(this.qtrkd.rkmxDataList, function(index, item) {
				if (item.rkdj == null || isNaN(item.rkdj)) {
					item.rkdj = 0;
				}
				if (item.rksl == null || isNaN(item.rksl)) {
					item.rksl = 0;
				}
				item.rkdj = Number(item.rkdj);
				item.rkje = Number(item.rksl) * Number(item.rkdj);

				sum = Number(sum) + Number(item.rkje);
				count = Number(count) + Number(item.rksl);
			});
			mainVue.rkslHj = count;
			mainVue.rkjeHj = sum;
		},
		//减少
		minus: function(item, index) {
			if (item.rksl > 1) {
				item.rksl = Number(item.rksl) - 1;
			}
			Vue.set(mainVue.qtrkd.rkmxDataList, index, item);
			this.cal();
		},
		//添加
		plus: function(item, index) {
			if (item.rksl < item.krksl) {
				item.rksl = Number(item.rksl) + 1;
			}

			Vue.set(mainVue.qtrkd.rkmxDataList, index, item);
			this.cal();
		},
		//删除已选的商品
		del: function(index) {
			mui.confirm("确认要删除该商品吗?", "删除商品", ["取消", "确认"], function(e) {
				if (e.index == 1) {
					mainVue.qtrkd.rkmxDataList.splice(index, 1);
					mainVue.cal();
				}
			}, 'div');
		},
		/*完成按钮事件*/
		save: function(shzt) {
			var params = this.qtrkd;

			if (params.djrq == '') {
				mui.toast('请填写入库日期！');
				return;
			}
			var isEmpty = true;
			var isFlag = false;
			var isMinu = false;
			mui.each(params.rkmxDataList, function(index, item) {
				if (item.rksl < 0) {
					isMinu = true;
					return false;
				}
				if (Number(item.rksl) > 0) {
					isEmpty = false;
				}
				if ((item.drksl - item.yrksl) < item.rksl) {
					isFlag = true;
					return false;
				}
			});
			if (isFlag) {
				mui.toast('入库数量不能大于待入库数量！');
				return;
			}
			if (isMinu) {
				mui.toast("入库数量不能为负数！");
				return;
			}
			if (isEmpty) {
				mui.toast("所有商品的【本次入库数】都为【0】，不允许生成入库单！");
				return;
			}

			params.crkBz = mainVue.crkBz; 
			params.drkId = params.id;
			params.rkjeHj = mainVue.rkjeHj;
			params.rkslHj = mainVue.rkslHj;
			params.drksl = mainVue.drkslHj;
			params.id = "";
			if (shzt == "cg") {
				params.shzt = '0'
			} else if (shzt == "rk") {
				params.shzt = '1';
			}
			var url = hurl + 'qtrkmx/save';
			loafish.utils.ajax4Post(url, params, "application/json", function(returnData) {
				if (returnData.success) {
					var data = returnData.data;
					mainVue.qtrkd.id = data.id;
					mainVue.qtrkd.djBh = data.qtrkdBh;

					var mainPage = plus.webview.getWebviewById("chukuRuku/ruku.html");
					mui.fire(mainPage, "queryRkd", {
						ywlx: '2'
					});

					mui.back = function() {
						mainPage.show();
						plus.webview.close(plus.webview.getWebviewById('druku_xq.html'));
						plus.webview.close(plus.webview.getWebviewById('druku_xz.html'));
					}
					mui.back();
					mui.toast('操作成功！');
				} else {
					if (returnData.lock) {
						var ckTips = "";
						if (mainVue.hasSdck) {
							ckTips = '<a onclick="tzck();return false">前往解锁</a>';
						} else {
							ckTips = "<span style='color:red;'>请通知仓库管理员进行解锁</span>";
						}
						mui.alert("此仓库为盘点锁定状态，请解锁后再进行操作！\n " + ckTips, "提示", "确定", function() {}, 'div')
						return;
					} else {
						mui.toast(returnData.msg);
					}

				}
			});
		}
	},
	filters: {
		rklxFilter: function(value) {
			var mc = ''
			if (value == "0") {
				mc = "期初入库";
			} else if (value == "1") {
				mc = "采购入库";
			} else if (value == "2") {
				mc = "销售退货入库";
			} else if (value == "3") {
				mc = "调拨入库";
			} else if (value == "4") {
				mc = "组装拆卸入库";
			} else if (value == "5") {
				mc = "借用入库";
			} else if (value == "6") {
				mc = "自产加工入库";
			} else if (value == "7") {
				mc = "顾客退货入库";
			} else if (value == "8") {
				mc = "盘盈入库";
			} else if (value == "9") {
				mc = "生产退料入库";
			}
			return mc;
		}
	}
});

//======================================================================
mui.plusReady(function() {
	var self = plus.webview.currentWebview();
	mainVue.menuList = self.menuList;

	mainVue.qtrkd = self.qtrkd;
	mainVue.qtrkd.djrq = new Date().Format("yyyy-MM-dd");
	mainVue.isLsmd = isKqLsmd();
	mainVue.isShowJg = isShowCrkJg();

	var drkslHj = 0;
	for (var j = mainVue.qtrkd.rkmxDataList.length - 1; j >= 0; j--) {
		var item = mainVue.qtrkd.rkmxDataList[j];
		item.krksl = item.drksl - Number(item.yrksl);
		if (item.krksl == 0) {
			mainVue.qtrkd.rkmxDataList.splice(j, 1);
		}
		item.rksl = item.krksl;
		drkslHj += (item.drksl - item.yrksl);
	}
	mainVue.drkslHj = drkslHj;
	//获取盘点权限
	mainVue.pdMenuList = getMenuPermissions("pandian/pandian.html");
	mainVue.hasSdckPermission();

	mainVue.cal();
});

mui('.mui-scroll-wrapper').scroll();
