mui.previewImage(); // 图片预览

var first = new Vue({
	el: "#first",
	data: {
		item: {
			id: '',
			ckId: '',
			ckMc: '',
			djrq: new Date().Format("yyyy-MM-dd"),
			djBh: '',
			shzt: '0',
			wldw: '',
			ywlb: '1',
			spmxDataList: [],
			wldwMc: '',
			rkjeHj: 0.00,
			seHj: 0.00,
			sjhj: 0.00,
			rkslHj: 0,
			rklx: '1',
			rklxMc: '采购入库',
			qtfylx: '',
			qtfylxMc: '',
			qtfyje: 0,
			ysk: null,
			yshqk: null,
			remarks: '',
			zzdjs: [],
			zzdjDataList: [],
			jszhId: '',
			jszhMc: '',
			ddBh: '',
			rkr: '',
			rkrMc: '',
			bdqk: 0,
			yhhje: 0,
			sfje: 0,
			zdzk: 100, //整单折扣
			orgId: '',
			orgMc: ''
		},
		tag: '',
		bz: '', //入库退货复制成入库标志 rk
		menuList: [],
		pldj: 0,
		plzk: 0,
		plzhjg: 0,
		plspMc: '',
		plspBh: '',
		plspId: '',
		showDeleteBtn: false,
		pdMenuList: [], //盘点权限列表,
		hasSdck: false, //是否拥有锁定，解锁仓库权限
		rkthMenuList: [], //入库退货
		hasrkth: false,
		isLsmd: false //是否开启连锁门店
	},
	methods: {
		//判断是否有复制入库退货权限
		hasrkthPermission: function() {
			if (this.rkthMenuList != null) {
				for (var i = 0; i < this.rkthMenuList.length; i++) {
					if (this.rkthMenuList[i].permission == 'inv:invrkth:edit') {
						this.hasrkth = true;
						break;
					}
				}
			}
		},
		//锁定解锁权限判断
		hasSdckPermission: function() {
			if (this.pdMenuList != null) {
				for (var i = 0; i < this.pdMenuList.length; i++) {
					if (this.pdMenuList[i].permission == 'inv:invPdd:check') {
						this.hasSdck = true;
						break;
					}
				}
			}

		},
		//判断是否有编辑权限
		hasEditPermission: function() {
			for (var i = 0; i < this.menuList.length; i++) {
				if (this.menuList[i].permission == 'inv:invrkd:edit') {
					this.showEditBtn = true;
					break;
				}
			}
		},
		//判断是否有删除权限
		hasDeletePermission: function() {
			for (var i = 0; i < this.menuList.length; i++) {
				if (this.menuList[i].permission == 'inv:invrkd:delete') {
					this.showDeleteBtn = true;
					break;
				}
			}
		},
		/*操作按钮点击事件*/
		operation: function() {
			if (mui.os.plus) {
				var a = [];
				if (first.item.shzt === '0') {
					if (first.showDeleteBtn) {
						a.splice(0, 0, {
							title: "撤销"
						});
					}
				}
				plus.nativeUI.actionSheet({
					cancel: "取消",
					buttons: a
				}, function(b) { /*actionSheet 按钮点击事件*/
					switch (b.index) {
						case 0:
							break;
						case 1:
							if (first.item.shzt === '0') {
								/*判断撤销权限*/
								if (first.showDeleteBtn) {
									first.shanchu();
								} else if (first.showEditBtn) {
									first.edit("copy");
								} else if (first.hasrkth) {
									first.edit("copy", "th");
								}
							}
							break;
						case 2:
							if (first.hasrkth && !first.showDeleteBtn) {
								first.edit("copy", "th");
							} else if (first.showEditBtn) {
								first.edit("copy");

							}
							break;
						case 3:
							if (first.hasrkth) {
								first.edit("copy", "th");
							}
							break;
						default:
							break;
					}
				})
			}
		},
		shanchu: function() {
			//判断仓库是否锁定
			var lock = isLock(first.item.ckId);
			if (lock) {
				var ckTips = "";
				if (first.hasSdck) {
					ckTips = '<a onclick="tzck();return false">前往解锁</a>';
				} else {
					ckTips = "<span style='color:red;'>请通知仓库管理员进行解锁</span>";
				}
				mui.alert("此仓库为盘点锁定状态，请解锁后再进行操作！\n " + ckTips, "提示", "确定", function() {}, 'div')
				return;
			}

			mui.confirm('您确定要撤销吗？', '温馨提示', ['取消', '撤销'], function(e) {
				if (e.index == 1) {

					var url = hurl + 'rkd/delete';
					var params = {
						id: first.item.id
					};

					loafish.utils.ajax4Post(url, params, null, function(data) {
						if (data.success) {
							var mainPage = plus.webview.getWebviewById("chukuRuku/ruku.html");
							mui.fire(mainPage, "queryRkd");

							mui.back();
							mui.toast('操作成功！');
						} else {
							if (data.lock) {
								var ckTips = "";
								if (first.hasSdck) {
									ckTips = '<a onclick="tzck();return false">前往解锁</a>';
								} else {
									ckTips = "<span style='color:red;'>请通知仓库管理员进行解锁</span>";
								}
								mui.alert("此仓库为盘点锁定状态，请解锁后再进行操作！\n " + ckTips, "提示", "确定", function() {}, 'div')
								return;
							} else {
								mui.toast(returnData.msg);
							}
						}
					});
				}
			}, 'div');
		},
		/*修改*/
		edit: function(tag, bz) {
			//判断仓库是否锁定
			var lock = isLock(first.item.ckId);
			if (lock) {
				var ckTips = "";
				if (first.hasSdck) {
					ckTips = '<a onclick="tzck();return false">前往解锁</a>';
				} else {
					ckTips = "<span style='color:red;'>请通知仓库管理员进行解锁</span>";
				}
				mui.alert("此仓库为盘点锁定状态，请解锁后再进行操作！\n " + ckTips, "提示", "确定", function() {}, 'div')
				return;
			}

			var extras = first.item;
			extras.spmxDataList = first.item.spmxDataList;
			var html = 'ruku_xz.html';

			plus.webview.hide(plus.webview.currentWebview());

			var webview = plus.webview.create(html, html, webview_style, {
				item: extras,
				tag: tag,
				bz: bz,
				menuList: first.menuList
			});

			webview.addEventListener("titleUpdate", function() {
				webview.show("slide-in-right", 300);
			});
		},
		//保存
		save: function(tag) {
			if (tag == "cg") {
				first.item.shzt = '0'
			} else if (tag == "rk") {
				first.item.shzt = '1';
			}
			var params = {};
			mui.extend(params, first.item);
			params.rkmxDataList = first.item.spmxDataList;
			params.remarks = first.item.remarks;

			var zzdj = [];
			mui.each(first.item.zzdjs, function(index, item) {
				zzdj.push(item.tpId)
			});
			params.zzdjs = zzdj.join('&');
			 
			if (first.item.orgId == '') {
				mui.toast('请选择所属门店！');
				return;
			}
			if (params.djrq == '') {
				mui.toast('请填写入库日期！');
				return;
			}
			var djrq = document.getElementById("djrq").validity;
			if (!djrq.valid) {
				mui.toast('请填写正确的入库日期！');
				return;
			}
			if (params.ckMc == '') {
				mui.toast('请选择入货仓库！');
				return;
			}

			if (first.item.spmxDataList.length == 0) {
				mui.toast('请选择要入库的商品！');
				return;
			}

			var isFlag = false;
			mui.each(first.item.spmxDataList, function(index, item) {
				if (item.rksl == '' || item.rksl == 0) {
					isFlag = true;
					mui.toast('商品【' + item.spMc + '】入库数量为0,请修改后提交');
					return false;
				}
			})

			if (isFlag) {
				return false;
			}


			if (first.tag == "copy") {
				var url = hurl + 'qtrkmx/save?tag=' + first.tag;
			} else {
				var url = hurl + 'qtrkmx/save';
			}
			loafish.utils.ajax4Post(url, params, "application/json", function(returnData) {

				if (returnData.success) {
					var data = returnData.data;

					first.item.id = data.id;
					first.item.djBh = data.djBh;

					var mainPage = plus.webview.getWebviewById("chukuRuku/ruku.html");
					mui.fire(mainPage, "queryRkd");

					if (first.bz == "rk") {
						//提前关闭入库页面，防止白屏
						plus.webview.close(plus.webview.getWebviewById('guanhuo/caigou.html'));
						plus.webview.close(plus.webview.getWebviewById('guanhuo/caigou_tuihuo.html'));

						//获取入库的权限
						var perList = getMenuPermissions('guanhuo/caigou.html');
						var subWebview = plus.webview.create('caigou.html', 'caigou.html', webview_style, {
							menuList: perList
						});
						subWebview.show(aniShow, 300);
					}
					self.close();
					mui.back();
					mui.toast('操作成功！');
					//移除重复新建页面Id
					setTimeout(function() {
						plus.webview.close(plus.webview.getWebviewById('ruku_xz.html'))
					}, 500);

				} else {
					if (returnData.lock) {
						var ckTips = "";
						if (first.hasSdck) {
							ckTips = '<a onclick="tzck();return false">前往解锁</a>';
						} else {
							ckTips = "<span style='color:red;'>请通知仓库管理员进行解锁</span>";
						}
						mui.alert("此仓库为盘点锁定状态，请解锁后再进行操作！\n " + ckTips, "提示", "确定", function() {}, 'div')
						return;
					} else {
						mui.toast(returnData.msg);
					}

				}
			});


		},
		//计算填写的数量
		cal: function(index, spxx, tag) {
			if (index != null && spxx != null) {
				if (tag == 'zk') {
					spxx.spZhdj = spxx.spZk * spxx.rkdj / 100;
				}
				if (tag == 'zhk') {
					spxx.spZk = spxx.spZhdj / spxx.rkdj * 100;
				}
				/*计算对应商品的折后总价*/
				spxx.spZhje = spxx.rksl * spxx.spZhdj;
				/*计算对应商品的销售总价*/
				spxx.rkje = spxx.rksl * spxx.rkdj;
				Vue.set(first.item.spmxDataList, index, spxx);
			}
			var rkslHj = 0;
			var yhhje = 0;
			var rkjeHj = 0;
			mui.each(first.item.spmxDataList, function(index, item) {
				rkslHj += Number(item.rksl);
				rkjeHj += item.rkdj * item.rksl * item.spZk / 100;
			});
			first.item.rkslHj = rkslHj;
			first.item.rkjeHj = rkjeHj;
			first.item.yhhje = (Number(first.item.rkjeHj) * first.item.zdzk / 100) + Number(first.item.qtfyje);
			first.item.sfje = Number(first.item.yhhje);
		},
		//删除已选的商品
		del: function(index) {
			mui.confirm("确认要删除该商品吗?", "删除商品", ["取消", "确认"], function(e) {
				if (e.index == 1) {
					first.item.spmxDataList.splice(index, 1);
					first.cal();
				}
			}, 'div');
		},
		//删除整个商品
		spDel: function(spId) {
			mui.confirm("确认要删除该商品吗?", "删除商品", ["取消", "确认"], function(e) {
				if (e.index == 1) {
					for (var i = first.item.spmxDataList.length - 1; i >= 0; i--) {
						if (first.item.spmxDataList[i].spId == spId) {
							first.item.spmxDataList.splice(i, 1);
						}
					}
					first.cal();
				}
			}, 'div');

		},
		/*选择结算账户*/
		xzJszh: function() {
			var extras = {
				source: 'ruku_xz.html',
				orgId: (first.isLsmd ? first.item.orgId : ''),
				jszhId: first.item.jszhId
			}
			var webview = plus.webview.create('../common/select_jszh.html', 'common/select_jszh.html',
				webview_style, extras);
			webview.addEventListener("titleUpdate", function() {
				webview.show(aniShow, 300);
			});
		}
	}
});

/*往来单位名称控件点击触发事件*/
document.getElementById("wldwMc").addEventListener('tap', function() {
	var wldwMenuList = getMenuPermissions('guanke/gysList.html');
	var subWebview = plus.webview.create('../common/search_gys.html', 'common/search_gys.html',
		webview_style, {
			source: 'ruku_xz.html',
			menuList: wldwMenuList
		});
	subWebview.addEventListener("titleUpdate", function() {
		subWebview.show(aniShow, 300);
	});
});
/*回调函数-往来单位赋值*/
window.addEventListener('setGys', function(e) {
	first.item.wldw = e.detail.gysId;
	first.item.wldwMc = e.detail.gysMc;
	first.item.wldwye = e.detail.gysye;
});

/* 所属门店控件点击触发事件 */
document.getElementById("orgMc").addEventListener('tap', function() {
	var webview = plus.webview.create('../common/select_md.html', 'select_md.html', webview_style, {
		orgId: first.item.orgId
	});

	webview.addEventListener("titleUpdate", function() {
		webview.show("slide-in-right", 300);
	});
});
/*回调函数-所属门店赋值*/
window.addEventListener('setMdxx', function(e) {
	if (first.item.orgId !== e.detail.orgId) {
		if (first.item.spmxDataList.length > 0) {
			first.item.orgId = e.detail.orgId;
			first.item.orgMc = e.detail.orgMc;
			first.item.ckId = '';
			first.item.ckMc = '';
					
			/*mui.confirm('提示： 所属门店已变动，入库商品清单将被清空，确认要变动吗?', '温馨提示', ['取消', '确认'], function(event) {
				if (event.index == 1) {
					//确认
					first.item.spmxDataList = [];
					first.item.rkjeHj = 0.00;
					first.item.seHj = 0.00;
					first.item.qtfyje = '';
					first.item.orgId = e.detail.orgId;
					first.item.orgMc = e.detail.orgMc;
					first.item.ckId = '';
					first.item.ckMc = '';
					first.item.bdqk = 0;
					first.item.sfje = 0;
					first.item.rkslHj = 0;
					first.item.yhhje = 0;
				}
			}, 'div');*/
		} else {
			first.item.orgId = e.detail.orgId;
			first.item.orgMc = e.detail.orgMc;
			first.item.ckId = '';
			first.item.ckMc = '';
		}
	}
})


/*仓库名称控件点击触发事件*/
document.getElementById("ckMc").addEventListener('tap', function() {
	var webview = plus.webview.create('../common/select_ck.html', 'select_ck.html', webview_style, {
		orgId: (first.isLsmd ? first.item.orgId : ''),
		ckId: first.item.ckId
	});

	webview.addEventListener("titleUpdate", function() {
		webview.show("slide-in-right", 300);
	});
});
/*回调函数-仓库赋值*/
window.addEventListener('setCk', function(e) {
	if (first.item.ckId == '') {
		first.item.ckId = e.detail.ckId;
		first.item.ckMc = e.detail.ckMc;
	} else {
		if (first.item.spmxDataList.length > 0) {
			if (e.detail.ckId != first.item.ckId) {
				first.item.ckId = e.detail.ckId;
				first.item.ckMc = e.detail.ckMc;
				/*mui.confirm('提示： 仓库已变动，入库商品清单将被清空，确认要变动吗?', '温馨提示', ['取消', '确认'], function(event) {
					if (event.index == 1) {
						//确认
						first.item.spmxDataList = [];
						first.item.rkjeHj = 0.00;
						first.item.seHj = 0.00;
						first.item.qtfyje = '';
						first.item.ckId = e.detail.ckId;
						first.item.ckMc = e.detail.ckMc;
						first.item.bdqk = 0;
						first.item.sfje = 0;
						first.item.rkslHj = 0;
						first.item.yhhje = 0;
					}

				}, 'div');*/
			}
		} else {
			first.item.ckId = e.detail.ckId;
			first.item.ckMc = e.detail.ckMc;
		}
	}
});
/*===========================入库类型控件点击触发事件==============================*/
document.getElementById("rklxMc").addEventListener('tap', function() {
	document.getElementById("rklxModal").classList.add("mui-active");

});

document.getElementById("rklxModal_close").addEventListener("tap", function() {
	document.getElementById("rklxModal").classList.remove("mui-active");
});

//入库类型选择
function selectRklx(e) {
	first.item.rklx = e.value;
	first.item.rklxMc = e.label;
	document.getElementById("rklxModal").classList.remove("mui-active");
};

var extras = {};
document.getElementById("szsp_btn").addEventListener("tap", function(e) {
	//验证仓库和往来单位是否有选择
	
	if (first.item.orgId == '') {
		mui.toast('请选择所属门店！');
		return;
	}
	if (first.item.ckId == '') {
		mui.toast('请选择入货仓库！');
		return;
	}

	var subWebview = plus.webview.create('select_rksp.html', 'select_rksp.html', webview_style, {
		wldw: first.item.wldw,
		ckId: first.item.ckId
	});
	subWebview.addEventListener("titleUpdate", function() {
		subWebview.show(aniShow, 300);
	});

});

/*回调函数-选择商品*/
window.addEventListener('setSpmxData', function(e) {
	var spmxDataList = e.detail.data;
	mui.each(spmxDataList, function(index, item) {
		item.spId = item.id;
		item.id = null;
		item.rkdj = item.spjg;
		item.rksl = item.spsl;
		item.spZk = 100;
		item.spZhdj = item.rkdj;
		item.rkje = Number(item.rksl) * Number(item.rkdj);
		item.spzhje = item.rkje;
	})

	if (first.item.spmxDataList.length == 0) {
		first.item.spmxDataList = spmxDataList;
	} else {
		var spmxList = [];
		/*已添加的商品，只更改数量*/
		mui.each(first.item.spmxDataList, function(index, item) {
			mui.each(spmxDataList, function(i, spmx) {
				if (item.spId == spmx.spId && item.ysId == spmx.ysId && item.ccId == spmx.ccId) {
					item.rksl = Number(item.rksl) + Number(spmx.rksl);
					item.rkje = Number(item.rksl) * Number(item.rkdj);
					item.spzhje = Number(item.rkje) * Number(item.spZk) / 100;
					return false;
				}
			})
			spmxList.push(item);
		})

		/*不存在的商品，追加在原商品之后*/
		mui.each(spmxDataList, function(i, spmx) {
			var falg = true;
			mui.each(first.item.spmxDataList, function(index, item) {
				if (item.spId == spmx.spId && item.ysId == spmx.ysId && item.ccId == spmx.ccId) {
					falg = false;
					return false;
				}
			})
			if (falg) {
				spmxList.push(spmx);
			}
		})
		first.item.spmxDataList = spmxList;
	}
	first.cal();
});

/*扫码》添加商品*/
window.addEventListener('selectSpxx4Barcode', function(e) {
	var barcode = e.detail.barcode;
	var mrscrkjBz = localStorage.getItem('mrscrkjBz');

	var params = {
		sptxm: barcode,
		ckId: first.item.ckId,
		wlId: first.item.wldw,
		mrscrkjBz: mrscrkjBz
	};

	var url = hurl + 'spxx/findBySptxm';
	loafish.utils.ajax4Get(url, params, null, function(returnData) {
		var extras = returnData.spxx;

		if (returnData.success) {
			if (returnData.scrkj != null && mrscrkjBz == '1') {
				extras.spjg = returnData.scrkj;
				extras.scrkj = returnData.scrkj;
			} else {
				extras.spjg = returnData.spxx.jyrkj;
				extras.scrkj = returnData.spxx.jyrkj;
			}

			mui.each(returnData.spmxlist, function(index, item) {
				item.spsl = 0;
				item.slHj = 0;
				item.slHj_Ys = 0;
			});

			mui.fire(menu, "setValue", {
				item: extras,
				spmxDataList: returnData.spmxlist,
				mrscrkjBz: mrscrkjBz,
				source: 'ruku_xz.html'
			});
			openMenu();
		} else {
			mui.toast("未在商品列表中找到此条码！");
		}
	});

});
//商品弹窗关闭
window.addEventListener('_closeMenu', function(e) {
	_closeMenu();
	mask.close(); //关闭遮罩
});

/*商品扫码详情回调*/
window.addEventListener('setSpmx', function(e) {
	var spmxDataList = e.detail.item.spmxDataList;

	mui.each(spmxDataList, function(index, item) {
		item.spId = item.id;
		item.id = null;
		item.rkdj = item.spjg;
		item.rksl = item.spsl;
		item.spZk = 100;
		item.spZhdj = item.rkdj;
		item.rkje = Number(item.rksl) * Number(item.rkdj);
		item.spzhje = item.rkje;
	})
	if (first.item.spmxDataList.length > 0) {
		var spmxList = [];
		/*已添加的商品，只更改数量*/
		mui.each(first.item.spmxDataList, function(index, item) {
			mui.each(spmxDataList, function(i, spmx) {
				if (item.spId == spmx.spId && item.ysId == spmx.ysId && item.ccId == spmx.ccId) {
					item.rksl = Number(item.rksl) + Number(spmx.rksl);
					return false;
				}
			})
			spmxList.push(item);
		})

		/*不存在的商品，追加在原商品之后*/
		mui.each(spmxDataList, function(i, spmx) {
			var falg = true;
			mui.each(first.item.spmxDataList, function(index, item) {
				if (item.spId == spmx.spId && item.ysId == spmx.ysId && item.ccId == spmx.ccId) {
					falg = false;
					return false;
				}
			})
			if (falg) {
				spmxList.push(spmx);
			}
		})
		first.item.spmxDataList = spmxList;
	} else {
		first.item.spmxDataList = spmxDataList;
	}
	first.cal();
})

//绑定扫码添加按钮
document.getElementById("stxm_btn").addEventListener("tap", function(e) {
	//验证仓库和往来单位是否有选择
	
	if (first.item.orgId == '') {
		mui.toast('请选择所属门店！');
		return;
	}
	if (first.item.ckId == '') {
		mui.toast('请选择入货仓库！');
		return;
	}
	var subWebview = plus.webview.create('../common/barcodeFrame.html', 'barcodeFrame.html',
		webview_style, {
			source: 'ruku_xz.html'
		});
	subWebview.addEventListener("titleUpdate", function() {
		subWebview.show(aniShow, 300);
	});

});

/*回调函数--设置结算账户*/
window.addEventListener('setJszh', function(e) {
	first.item.jszhId = e.detail.jszhId;
	first.item.jszhMc = e.detail.jszhMc;
})

/*直接出入库switch监听*/
mui('.mui-content .mui-switch').each(function() { //循环所有toggle
	this.addEventListener('toggle', function(event) {
		first.item.crkBz = (event.detail.isActive ? '1' : '0');
	});
});

/*回调函数--设置其他费用*/
window.addEventListener('setQtfy', function(e) {
	first.item.qtfylx = e.detail.zklx;
	first.item.qtfylxMc = e.detail.zklxMc;
	first.item.qtfyje = e.detail.qtfyje;
	first.cal();
});

/*获取入库单详情*/
function getrkdDetail(item) {
	var url = hurl + 'qtrkmx/list';
	var params = {
		rkdId: item.id
	};
	loafish.utils.ajax4Get(url, params, null, function(data) {
		item.spmxDataList = data.mxData;
		item.zzdjs = data.zzdjData;
	}, false);
	return item;
}

function getCk() {
	var url = hurl + '/ckxx/list';
	var params = {
		page: 1,
		rows: 1,
		kjckfw: '0',
		isLock:'0'
	};

	loafish.utils.ajax4Get(url, params, null, function(returnData) {
		var list = returnData.rows;
		if(list!=null && list.length > 0 ) {
			var ck = list[0];
			first.item.ckId = ck.id;
			first.item.ckMc = ck.ckMc;
			
			if(self.source != null){
				setTimeout(function() {
					menu = plus.webview.getWebviewById("spxq.html");
					openSpxz(self.spxx);
				}, 150);
			}
		}
	});
}


function openSpxz(item) {
	var mrscrkjBz = localStorage.getItem('mrscrkjBz');
	var url = hurl + 'spxx/querySpxx';
	var params = {
		id: item.id,
		ckId: first.item.ckId,
		wlId: first.item.wldw,
		mrscrkjBz: mrscrkjBz
	};
	
	loafish.utils.ajax4Get(url, params, null, function(data) {
		var extras = item;
		if (data.scrkj != null && mrscrkjBz == '1') {
			extras.spjg = data.scrkj;
			extras.scrkj = data.scrkj;
		} else {
			extras.spjg = item.jyrkj;
			extras.scrkj = item.jyrkj;
		}
		
		mui.each(data.spList, function(index, item) {
			item.spsl = 0;
			item.slHj = 0;
			item.slHj_Ys = 0;
		});
		
		mui.fire(menu, "setValue", {
			item: extras,
			spmxDataList: data.spList,
			mrscrkjBz: mrscrkjBz,
			source: 'ruku_xz.html'
		});
		
		openMenu();
	});
}

//商品弹窗关闭
window.addEventListener('_closeMenu', function(e) {
	_closeMenu();
	mask.close(); //关闭遮罩
});

/*回调函数-选择商品*/
/*window.addEventListener('setSpmx', function(e) {
	var spxx = e.detail.item;
	if (spxx.spslHj != '' && spxx.spslHj != undefined) {
		
		var spmxDataList = spxx.spmxDataList;
		mui.each(spmxDataList, function(index, item) {
			item.id = null;
			item.tpdz = item.sptpdz;
			item.rkdj = item.spjg;
			item.rksl = item.spsl;
			item.spZk = 100;
			item.spZhdj = item.rkdj;
			item.rkje = Number(item.rksl) * Number(item.rkdj);
			item.spzhje = item.rkje;
		})
	
		first.item.spmxDataList = spmxDataList;
		first.cal();
	}
	
	//_closeMenu();
	//mask.close(); //关闭遮罩
});*/



var list_rklx = new Vue({
	el: "#list_rklx",
	data: {
		isIos:false,
		items: [],
	}
});

function getRklxData() {
	token = localStorage.getItem('token');
	jQuery.ajax({
		url:hurl + '/dict/getDictList/inv_rklx', 
		dataType: 'json', //服务器返回json格式数据
		type: 'get', //HTTP请求类型
		headers: {
			Authorization: token
		},
		timeout: 10000, //超时时间设置为10秒；	              
		success: function(data) {
			list_rklx.items = data;

		},
		error: function(xhr, type, errorThrown) {
			//异常处理；
			console.log(type + "异常了");
		}
	});
}

var self;
var menu;
mui.plusReady(function() {
	self = plus.webview.currentWebview();

	first.tag = self.tag;
	first.bz = self.bz;
	first.cal();
	first.isLsmd = isKqLsmd();
	first.item.orgId = loafish.utils.getOrgId();
	first.item.orgMc = loafish.utils.getOrgMc();

	//获取盘点权限
	first.pdMenuList = getMenuPermissions("pandian/pandian.html");
	first.hasSdckPermission();
	//获取入库退货权限
	first.rkthMenuList = getMenuPermissions("guanhuo/caigou_tuihuo.html");
	first.hasrkthPermission();
	getRklxData();
	if (self.item != null) {
		first.menuList = self.menuList;
		getrkdDetail(self.item);
		if (self.item.id != null && self.item.id != '') {
			if (first.tag == "copy") {
				document.getElementById("title").innerText = "复制入库单";
				self.item.djrq = new Date().Format("yyyy-MM-dd");
				self.item.id = '';
				self.item.zzdjs = [];
				self.item.zzdjDataList = [];
				self.item.delFlag = '0';
			} else {

				//兼容ios（.replace(/-/g, "/")）
				self.item.djrq = new Date(self.item.djrq.replace(/-/g, "/")).Format("yyyy-MM-dd");
				document.getElementById("title").innerText = "修改入库单";
			}
		}
	// 	first.hasEditPermission();
	// 	first.hasDeletePermission();
	}

	setTimeout(function() {
		menu = mui.preload({
			id: 'spxq.html',
			url: 'spxq.html',
			styles: {
				top: "15%",
				width: '100%',
				zindex: 9997
			}
		});
	}, 100);
	
	mui.extend(first.item, self.item);
	if (self.item != null) {
		first.item.sfje = self.item.sfje;
	}else{
		getCk();
	}
	
	//返回
	/*mui.back = function() {
		if (first.item.spmxDataList.length > 0 && first.item.id == '' && first.tag != "copy") {
			mui.confirm("确认要退出开单页面吗?", "温馨提示", ["取消", "确认"], function(e) {
				if (e.index == 1) {
					var mainPage = plus.webview.getWebviewById("guanhuo/caigou.html");
					mui.fire(mainPage, "query");
					mui.back = function() {
						mainPage.show();
					}
					self.close();
				}
			}, 'div');

		} else {
			self.close();
		}
	}*/
});

mui('.mui-scroll-wrapper').scroll({});
