mui.previewImage(); // 图片预览

var first = new Vue({
	el: "#first",
	data: {
		item: {
			id: '',
			ckId: '',
			ckMc: '',
			djrq: new Date().Format("yyyy-MM-dd"),
			djBh: '',
			shzt: '0',
			gysId: '',
			ywlb: '1',
			spmxDataList: [],
			gysMc: '',
			cgjeHj: 0.00,
			seHj: 0.00,
			sjhj: 0.00,
			cgslHj: 0,
			qtfylx: '',
			qtfylxMc: '',
			qtfyje: 0,
			ysk: null,
			yshqk: null,
			remarks: '',
			zzdjs: [],
			zzdjDataList: [],
			jszhId: '',
			jszhMc: '',
			ddBh: '',
			cgr: '',
			cgrMc: '',
			bdqk: 0,
			yhhje: 0,
			cgslHj: 0,
			sfje: 0,
			zdzk: 100, //整单折扣
			orgId: '',
			orgMc: '',
			bhdId:'',
		},
		tag: '',
		bz: '', //采购退货复制成采购标志 cg
		menuList: [],
		pldj: 0,
		plzk: 0,
		plzhjg: 0,
		plspMc: '',
		plspBh: '',
		plspId: '',
		showDeleteBtn: false,
		pdMenuList: [], //盘点权限列表,
		hasSdck: false, //是否拥有锁定，解锁仓库权限
		cgthMenuList: [], //采购退货
		hasCgth: false,
		isLsmd: false //是否开启连锁门店
	},
	methods: {
		//判断是否有复制采购退货权限
		hasCgthPermission: function() {
			if (this.cgthMenuList != null) {
				for (var i = 0; i < this.cgthMenuList.length; i++) {
					if (this.cgthMenuList[i].permission == 'inv:invCgth:edit') {
						this.hasCgth = true;
						break;
					}
				}
			}
		},
		//锁定解锁权限判断
		hasSdckPermission: function() {
			if (this.pdMenuList != null) {
				for (var i = 0; i < this.pdMenuList.length; i++) {
					if (this.pdMenuList[i].permission == 'inv:invPdd:check') {
						this.hasSdck = true;
						break;
					}
				}
			}

		},
		//其他费用弹窗
		qtfytc: function() {
			var extras = {
				zklx: first.item.qtfylx,
				zklxMc: first.item.qtfylxMc,
				qtfyje: first.item.qtfyje
			};

			var webview = plus.webview.create('../common/qtfy.html', 'qtfy.html', webview_style, extras);

			webview.addEventListener("titleUpdate", function() {
				webview.show("slide-in-right", 300);
			});
		},
		//根据商品id批量修改单价，折扣，折后价
		plgj: function(item) {
			first.plspId = item.spId;
			first.plspMc = item.spMc;
			first.plspBh = item.spBh;
			first.pldj = item.cgdj;
			first.plzk = item.spZk;
			first.plzhjg = Number(item.cgdj) * Number(item.spZk) / 100;
			mui('#plgjPopover').popover('toggle');
		},
		//批量改价弹窗取消
		plqx: function() {
			first.plspId = '';
			first.plspMc = '';
			first.plspBh = '';
			first.pldj = '';
			first.plzk = '';
			first.plzhjg = '';
			mui('#plgjPopover').popover('toggle');
		},
		//批量改价弹窗保存
		plbc: function() {
			mui.each(first.item.spmxDataList, function(index, item) {
				if (item.spId == first.plspId) {
					item.cgdj = first.pldj;
					item.spZk = first.plzk;
					item.spZhdj = first.plzhjg;
					
					/*计算对应商品的折后总价*/
					item.spZhje = item.cgsl * item.spZhdj;
					/*计算对应商品的销售总价*/
					item.cgje = item.cgsl * item.cgdj;
				}
			});
			first.cal();
			mui('#plgjPopover').popover('toggle');
		},
		//批量改价弹窗的修改计算
		plCal: function() {
			first.plzhjg = Number(first.pldj) * Number(first.plzk) / 100;
		},
		//判断是否有编辑权限
		hasEditPermission: function() {
			for (var i = 0; i < this.menuList.length; i++) {
				if (this.menuList[i].permission == 'inv:invCgd:edit') {
					this.showEditBtn = true;
					break;
				}
			}
		},
		//判断是否有删除权限
		hasDeletePermission: function() {
			for (var i = 0; i < this.menuList.length; i++) {
				if (this.menuList[i].permission == 'inv:invCgd:delete') {
					this.showDeleteBtn = true;
					break;
				}
			}
		},
		/*操作按钮点击事件*/
		operation: function() {
			if (mui.os.plus) {
				var a = [];
				if (first.hasCgth) {
					a.splice(0, 0, {
						title: "复制新增退货"
					});
				}
				if (first.showEditBtn) {
					a.splice(0, 0, {
						title: "复制新增采购"
					});
				}
				if (first.item.shzt === '0') {
					if (first.showDeleteBtn) {
						a.splice(0, 0, {
							title: "撤销"
						});
					}
				}
				plus.nativeUI.actionSheet({
					cancel: "取消",
					buttons: a
				}, function(b) { /*actionSheet 按钮点击事件*/
					switch (b.index) {
						case 0:
							break;
						case 1:
							if (first.item.shzt === '0') {
								/*判断撤销权限*/
								if (first.showDeleteBtn) {
									first.shanchu();
								} else if (first.showEditBtn) {
									first.edit("copy");
								} else if (first.hasCgth) {
									first.edit("copy", "th");
								}
							}
							break;
						case 2:
							if (first.hasCgth && !first.showDeleteBtn) {
								first.edit("copy", "th");
							} else if (first.showEditBtn) {
								first.edit("copy");

							}
							break;
						case 3:
							if (first.hasCgth) {
								first.edit("copy", "th");
							}
							break;
						default:
							break;
					}
				})
			}
		},
		shanchu: function() {
			//判断仓库是否锁定
			var lock = isLock(first.item.ckId);
			if (lock) {
				var ckTips = "";
				if (first.hasSdck) {
					ckTips = '<a onclick="tzck();return false">前往解锁</a>';
				} else {
					ckTips = "<span style='color:red;'>请通知仓库管理员进行解锁</span>";
				}
				mui.alert("此仓库为盘点锁定状态，请解锁后再进行操作！\n " + ckTips, "提示", "确定", function() {}, 'div')
				return;
			}

			mui.confirm('您确定要撤销吗？', '温馨提示', ['取消', '撤销'], function(e) {
				if (e.index == 1) {

					var url = hurl + 'cgd/delete';
					var params = {
						id: first.item.id
					};

					loafish.utils.ajax4Post(url, params, null, function(data) {
						if (data.success) {
							var mainPage = plus.webview.getWebviewById("guanhuo/caigou.html");
							mui.fire(mainPage, "query");

							mui.back();
							mui.toast('操作成功！');
						} else {
							if (data.lock) {
								var ckTips = "";
								if (first.hasSdck) {
									ckTips = '<a onclick="tzck();return false">前往解锁</a>';
								} else {
									ckTips = "<span style='color:red;'>请通知仓库管理员进行解锁</span>";
								}
								mui.alert("此仓库为盘点锁定状态，请解锁后再进行操作！\n " + ckTips, "提示", "确定", function() {}, 'div')
								return;
							} else {
								mui.toast(returnData.msg);
							}
						}
					});
				}
			}, 'div');
		},
		/*修改*/
		edit: function(tag, bz) {
			//判断仓库是否锁定
			var lock = isLock(first.item.ckId);
			if (lock) {
				var ckTips = "";
				if (first.hasSdck) {
					ckTips = '<a onclick="tzck();return false">前往解锁</a>';
				} else {
					ckTips = "<span style='color:red;'>请通知仓库管理员进行解锁</span>";
				}
				mui.alert("此仓库为盘点锁定状态，请解锁后再进行操作！\n " + ckTips, "提示", "确定", function() {}, 'div')
				return;
			}

			var extras = first.item;
			extras.spmxDataList = first.item.spmxDataList;
			var html = 'caigou_xz.html';
			if (bz == "th") {
				html = 'caigou_tuihuo_xz.html'
			}

			plus.webview.hide(plus.webview.currentWebview());

			var webview = plus.webview.create(html, html, webview_style, {
				item: extras,
				tag: tag,
				bz: bz,
				menuList: first.menuList
			});

			webview.addEventListener("titleUpdate", function() {
				webview.show("slide-in-right", 300);
			});
		},
		//保存
		save: function(tag) {
			if (tag == "zc") {
				first.item.shzt = '0'
			} else if (tag == "tj") {
				first.item.shzt = '1';
			}
			var params = {};
			mui.extend(params, first.item);
			params.spmxDataList = first.item.spmxDataList;
			params.remarks = first.item.remarks;

			var zzdj = [];
			mui.each(first.item.zzdjs, function(index, item) {
				zzdj.push(item.tpId)
			});
			params.zzdjs = zzdj.join('&');
			//1、表单验证
			if (params.gysMc == '') {
				mui.toast('请选择供应商！');
				return;
			}
			if (first.item.orgId == '') {
				mui.toast('请选择所属门店！');
				return;
			}
			if (params.djrq == '') {
				mui.toast('请填写采购日期！');
				return;
			}
			var djrq = document.getElementById("djrq").validity;
			if (!djrq.valid) {
				mui.toast('请填写正确的采购日期！');
				return;
			}
			if (params.ckMc == '') {
				mui.toast('请选择入货仓库！');
				return;
			}

			if (first.item.spmxDataList.length == 0) {
				mui.toast('请选择要采购的商品！');
				return;
			}

			var isFlag = false;
			mui.each(first.item.spmxDataList, function(index, item) {
				if (item.cgsl == '' || item.cgsl == 0) {
					isFlag = true;
					mui.toast('商品【' + item.spMc + '】采购数量为0,请修改后提交');
					return false;
				}
			})

			if (isFlag) {
				return false;
			}

			if (first.item.jszhId == '' || first.item.jszhId == null) {
				mui.toast('请选择结算账户！')
				return false;
			}

			if (first.tag == "copy") {
				var url = hurl + 'cgd/save?tag=' + first.tag;
			} else {
				var url = hurl + 'cgd/save';
			}
			loafish.utils.ajax4Post(url, params, "application/json", function(returnData) {

				if (returnData.success) {
					var data = returnData.data;

					first.item.id = data.id;
					first.item.djBh = data.djBh;

					var mainPage = plus.webview.getWebviewById("guanhuo/caigou.html");
					mui.fire(mainPage, "query");

					if (first.bz == "cg") {
						//提前关闭采购页面，防止白屏
						plus.webview.close(plus.webview.getWebviewById('guanhuo/caigou.html'));
						plus.webview.close(plus.webview.getWebviewById('guanhuo/caigou_tuihuo.html'));

						//获取采购的权限
						var perList = getMenuPermissions('guanhuo/caigou.html');
						var subWebview = plus.webview.create('caigou.html', 'caigou.html', webview_style, {
							menuList: perList
						});
						subWebview.show(aniShow, 300);
					}
					self.close();
					mui.back();
					mui.toast('操作成功！');
					//移除重复新建页面Id
					setTimeout(function() {
						plus.webview.close(plus.webview.getWebviewById('caigou_xz.html'))
					}, 500);

				} else {
					if (returnData.lock) {
						var ckTips = "";
						if (first.hasSdck) {
							ckTips = '<a onclick="tzck();return false">前往解锁</a>';
						} else {
							ckTips = "<span style='color:red;'>请通知仓库管理员进行解锁</span>";
						}
						mui.alert("此仓库为盘点锁定状态，请解锁后再进行操作！\n " + ckTips, "提示", "确定", function() {}, 'div')
						return;
					} else {
						mui.toast(returnData.msg);
					}

				}
			});


		},
		//计算填写的数量
		cal: function(index, spxx, tag) {
			if (index != null && spxx != null) {
				if (tag == 'zk') {
					spxx.spZhdj = spxx.spZk * spxx.cgdj / 100;
				}
				if (tag == 'zhk') {
					spxx.spZk = spxx.spZhdj / spxx.cgdj * 100;
				}
				/*计算对应商品的折后总价*/
				spxx.spZhje = spxx.cgsl * spxx.spZhdj;
				/*计算对应商品的销售总价*/
				spxx.cgje = spxx.cgsl * spxx.cgdj;
				Vue.set(first.item.spmxDataList, index, spxx);
			}
			var cgslHj = 0;
			var yhhje = 0;
			var cgjeHj = 0;
			mui.each(first.item.spmxDataList, function(index, item) {
				//从补货单传来的数据是没有折扣的,undefined,合计时可能报错,这里设置默认100
				if(item.spZk==null||item.spZk==undefined){
					item.spZk=100;
				}
				cgslHj += Number(item.cgsl);
				cgjeHj += Number(item.cgdj) * Number(item.cgsl) * Number(item.spZk) / 100;
			});
			first.item.cgslHj = cgslHj;
			first.item.cgjeHj = cgjeHj;
			first.item.yhhje = (Number(first.item.cgjeHj) * first.item.zdzk / 100) + Number(first.item.qtfyje);
			first.item.sfje = Number(first.item.yhhje);
		},
		//删除已选的商品
		del: function(index) {
			mui.confirm("确认要删除该商品吗?", "删除商品", ["取消", "确认"], function(e) {
				if (e.index == 1) {
					first.item.spmxDataList.splice(index, 1);
					first.cal();
				}
			}, 'div');
		},
		//删除整个商品
		spDel: function(spId) {
			mui.confirm("确认要删除该商品吗?", "删除商品", ["取消", "确认"], function(e) {
				if (e.index == 1) {
					for (var i = first.item.spmxDataList.length - 1; i >= 0; i--) {
						if (first.item.spmxDataList[i].spId == spId) {
							first.item.spmxDataList.splice(i, 1);
						}
					}
					first.cal();
				}
			}, 'div');

		},
		/*选择结算账户*/
		xzJszh: function() {
			var extras = {
				source: 'caigou_xz.html',
				orgId: (first.isLsmd ? first.item.orgId : ''),
				jszhId: first.item.jszhId
			}
			var webview = plus.webview.create('../common/select_jszh.html', 'common/select_jszh.html',
				webview_style, extras);
			webview.addEventListener("titleUpdate", function() {
				webview.show(aniShow, 300);
			});
		}
	}
});

/*供应商名称控件点击触发事件*/
document.getElementById("gysMc").addEventListener('tap', function() {
	var gysMenuList = getMenuPermissions('guanke/gysList.html');
	var subWebview = plus.webview.create('../common/search_gys.html', 'common/search_gys.html',
		webview_style, {
			source: 'caigou_xz.html',
			menuList: gysMenuList
		});
	subWebview.addEventListener("titleUpdate", function() {
		subWebview.show(aniShow, 300);
	});
});
/*回调函数-供应商赋值*/
window.addEventListener('setGys', function(e) {
	first.item.gysId = e.detail.gysId;
	first.item.gysMc = e.detail.gysMc;
	first.item.gysye = e.detail.gysye;
});

/* 所属门店控件点击触发事件 */
document.getElementById("orgMc").addEventListener('tap', function() {
	var webview = plus.webview.create('../common/select_md.html', 'select_md.html', webview_style, {
		orgId: first.item.orgId
	});

	webview.addEventListener("titleUpdate", function() {
		webview.show("slide-in-right", 300);
	});
});
/*回调函数-所属门店赋值*/
window.addEventListener('setMdxx', function(e) {
	if (first.item.orgId !== e.detail.orgId) {
		if (first.item.spmxDataList.length > 0) {
			first.item.orgId = e.detail.orgId;
			first.item.orgMc = e.detail.orgMc;
			first.item.ckId = '';
			first.item.ckMc = '';
					
			/*mui.confirm('提示： 所属门店已变动，采购商品清单将被清空，确认要变动吗?', '温馨提示', ['取消', '确认'], function(event) {
				if (event.index == 1) {
					//确认
					first.item.spmxDataList = [];
					first.item.cgjeHj = 0.00;
					first.item.seHj = 0.00;
					first.item.qtfyje = '';
					first.item.orgId = e.detail.orgId;
					first.item.orgMc = e.detail.orgMc;
					first.item.ckId = '';
					first.item.ckMc = '';
					first.item.bdqk = 0;
					first.item.sfje = 0;
					first.item.cgslHj = 0;
					first.item.yhhje = 0;
				}
			}, 'div');*/
		} else {
			first.item.orgId = e.detail.orgId;
			first.item.orgMc = e.detail.orgMc;
			first.item.ckId = '';
			first.item.ckMc = '';
		}
	}
})


/*仓库名称控件点击触发事件*/
document.getElementById("ckMc").addEventListener('tap', function() {
	var webview = plus.webview.create('../common/select_ck.html', 'select_ck.html', webview_style, {
		orgId: (first.isLsmd ? first.item.orgId : ''),
		ckId: first.item.ckId
	});

	webview.addEventListener("titleUpdate", function() {
		webview.show("slide-in-right", 300);
	});
});
/*回调函数-仓库赋值*/
window.addEventListener('setCk', function(e) {
	if (first.item.ckId == '') {
		first.item.ckId = e.detail.ckId;
		first.item.ckMc = e.detail.ckMc;
	} else {
		if (first.item.spmxDataList.length > 0) {
			if (e.detail.ckId != first.item.ckId) {
				first.item.ckId = e.detail.ckId;
				first.item.ckMc = e.detail.ckMc;
				/*mui.confirm('提示： 仓库已变动，采购商品清单将被清空，确认要变动吗?', '温馨提示', ['取消', '确认'], function(event) {
					if (event.index == 1) {
						//确认
						first.item.spmxDataList = [];
						first.item.cgjeHj = 0.00;
						first.item.seHj = 0.00;
						first.item.qtfyje = '';
						first.item.ckId = e.detail.ckId;
						first.item.ckMc = e.detail.ckMc;
						first.item.bdqk = 0;
						first.item.sfje = 0;
						first.item.cgslHj = 0;
						first.item.yhhje = 0;
					}

				}, 'div');*/
			}
		} else {
			first.item.ckId = e.detail.ckId;
			first.item.ckMc = e.detail.ckMc;
		}
	}
});

var extras = {};
document.getElementById("szsp_btn").addEventListener("tap", function(e) {
	//验证仓库和供应商是否有选择
	if (first.item.gysId == '') {
		mui.toast('请选择供应商！');
		return;
	}
	if (first.item.orgId == '') {
		mui.toast('请选择所属门店！');
		return;
	}
	if (first.item.ckId == '') {
		mui.toast('请选择入货仓库！');
		return;
	}

	var subWebview = plus.webview.create('select_cgsp.html', 'select_cgsp.html', webview_style, {
		gysId: first.item.gysId,
		ckId: first.item.ckId
	});
	subWebview.addEventListener("titleUpdate", function() {
		subWebview.show(aniShow, 300);
	});

});

/*回调函数-选择商品*/
window.addEventListener('setSpmxData', function(e) {
	var spmxDataList = e.detail.data;
	mui.each(spmxDataList, function(index, item) {
		item.spId = item.id;
		item.id = null;
		item.cgdj = item.spjg;
		item.cgsl = item.spsl;
		item.spZk = 100;
		item.spZhdj = item.cgdj;
		item.cgje = Number(item.cgsl) * Number(item.cgdj);
		item.spzhje = item.cgje;
	})

	if (first.item.spmxDataList.length == 0) {
		first.item.spmxDataList = spmxDataList;
	} else {
		var spmxList = [];
		/*已添加的商品，只更改数量*/
		mui.each(first.item.spmxDataList, function(index, item) {
			mui.each(spmxDataList, function(i, spmx) {
				if (item.spId == spmx.spId && item.ysId == spmx.ysId && item.ccId == spmx.ccId) {
					item.cgsl = Number(item.cgsl) + Number(spmx.cgsl);
					item.cgje = Number(item.cgsl) * Number(item.cgdj);
					item.spzhje = Number(item.cgje) * Number(item.spZk) / 100;
					return false;
				}
			})
			spmxList.push(item);
		})

		/*不存在的商品，追加在原商品之后*/
		mui.each(spmxDataList, function(i, spmx) {
			var falg = true;
			mui.each(first.item.spmxDataList, function(index, item) {
				if (item.spId == spmx.spId && item.ysId == spmx.ysId && item.ccId == spmx.ccId) {
					falg = false;
					return false;
				}
			})
			if (falg) {
				spmxList.push(spmx);
			}
		})
		first.item.spmxDataList = spmxList;
	}
	first.cal();
});

/*扫码》添加商品*/
window.addEventListener('selectSpxx4Barcode', function(e) {
	var barcode = e.detail.barcode;
	var mrsccgjBz = localStorage.getItem('mrsccgjBz');

	var params = {
		sptxm: barcode,
		ckId: first.item.ckId,
		wlId: first.item.gysId,
		mrsccgjBz: mrsccgjBz
	};

	var url = hurl + 'spxx/findBySptxm';
	loafish.utils.ajax4Get(url, params, null, function(returnData) {
		var extras = returnData.spxx;

		if (returnData.success) {
			if (returnData.sccgj != null && mrsccgjBz == '1') {
				extras.spjg = returnData.sccgj;
				extras.sccgj = returnData.sccgj;
			} else {
				extras.spjg = returnData.spxx.jycgj;
				extras.sccgj = returnData.spxx.jycgj;
			}

			mui.each(returnData.spmxlist, function(index, item) {
				item.spsl = 0;
				item.slHj = 0;
				item.slHj_Ys = 0;
			});

			mui.fire(menu, "setValue", {
				item: extras,
				spmxDataList: returnData.spmxlist,
				mrsccgjBz: mrsccgjBz,
				source: 'caigou_xz.html'
			});
			openMenu();
		} else {
			mui.toast("未在商品列表中找到此条码！");
		}
	});

});
//商品弹窗关闭
window.addEventListener('_closeMenu', function(e) {
	_closeMenu();
	mask.close(); //关闭遮罩
});

/*商品扫码详情回调*/
window.addEventListener('setSpmx', function(e) {
	var spmxDataList = e.detail.item.spmxDataList;

	mui.each(spmxDataList, function(index, item) {
		item.spId = item.id;
		item.id = null;
		item.cgdj = item.spjg;
		item.cgsl = item.spsl;
		item.spZk = 100;
		item.spZhdj = item.cgdj;
		item.cgje = Number(item.cgsl) * Number(item.cgdj);
		item.spzhje = item.cgje;
	})
	if (first.item.spmxDataList.length > 0) {
		var spmxList = [];
		/*已添加的商品，只更改数量*/
		mui.each(first.item.spmxDataList, function(index, item) {
			mui.each(spmxDataList, function(i, spmx) {
				if (item.spId == spmx.spId && item.ysId == spmx.ysId && item.ccId == spmx.ccId) {
					item.cgsl = Number(item.cgsl) + Number(spmx.cgsl);
					return false;
				}
			})
			spmxList.push(item);
		})

		/*不存在的商品，追加在原商品之后*/
		mui.each(spmxDataList, function(i, spmx) {
			var falg = true;
			mui.each(first.item.spmxDataList, function(index, item) {
				if (item.spId == spmx.spId && item.ysId == spmx.ysId && item.ccId == spmx.ccId) {
					falg = false;
					return false;
				}
			})
			if (falg) {
				spmxList.push(spmx);
			}
		})
		first.item.spmxDataList = spmxList;
	} else {
		first.item.spmxDataList = spmxDataList;
	}
	first.cal();
})

//绑定扫码添加按钮
document.getElementById("stxm_btn").addEventListener("tap", function(e) {
	//验证仓库和供应商是否有选择
	if (first.item.gysId == '') {
		mui.toast('请选择供应商！');
		return;
	}
	if (first.item.orgId == '') {
		mui.toast('请选择所属门店！');
		return;
	}
	if (first.item.ckId == '') {
		mui.toast('请选择入货仓库！');
		return;
	}
	var subWebview = plus.webview.create('../common/barcodeFrame.html', 'barcodeFrame.html',
		webview_style, {
			source: 'caigou_xz.html'
		});
	subWebview.addEventListener("titleUpdate", function() {
		subWebview.show(aniShow, 300);
	});

});

/*回调函数--设置结算账户*/
window.addEventListener('setJszh', function(e) {
	first.item.jszhId = e.detail.jszhId;
	first.item.jszhMc = e.detail.jszhMc;
})

/*直接出入库switch监听*/
mui('.mui-content .mui-switch').each(function() { //循环所有toggle
	this.addEventListener('toggle', function(event) {
		first.item.crkBz = (event.detail.isActive ? '1' : '0');
	});
});

/*回调函数--设置其他费用*/
window.addEventListener('setQtfy', function(e) {
	first.item.qtfylx = e.detail.zklx;
	first.item.qtfylxMc = e.detail.zklxMc;
	first.item.qtfyje = e.detail.qtfyje;
	first.cal();
});

/*获取采购单详情*/
function getCgdDetail(item) {
	var url = hurl + 'cgdmx/list';
	var params = {
		dgdId: item.id
	};
	loafish.utils.ajax4Get(url, params, null, function(data) {
		item.spmxDataList = data.mxData;
		item.zzdjs = data.zzdjData;
	}, false);
	return item;
}

function getCk() {
	var url = hurl + '/ckxx/list';
	var params = {
		page: 1,
		rows: 1,
		kjckfw: '0',
		isLock:'0'
	};

	loafish.utils.ajax4Get(url, params, null, function(returnData) {
		var list = returnData.rows;
		if(list!=null && list.length > 0 ) {
			var ck = list[0];
			first.item.ckId = ck.id;
			first.item.ckMc = ck.ckMc;
			
			if(self.source != null){
				setTimeout(function() {
					menu = plus.webview.getWebviewById("spxq.html");
					openSpxz(self.spxx);
				}, 150);
			}
		}
	});
}

var self;
var menu;
mui.plusReady(function() {
	self = plus.webview.currentWebview();

	first.tag = self.tag;
	first.bz = self.bz;
	first.cal();
	first.isLsmd = isKqLsmd();
	if(self.isBhd===true){
		first.item.orgId = self.orgId;
		first.item.orgMc = self.orgMc;
		first.item.ckId =self.ckId;
		first.item.spmxDataList=self.spmxDataList;
		first.item.djrq=self.djrq;
		first.item.ckMc=self.ckMc;
		first.item.bhdId=self.bhdId;
		first.cal();
	}else{
		first.item.orgId = loafish.utils.getOrgId();
		first.item.orgMc = loafish.utils.getOrgMc();
	}


	//获取盘点权限
	first.pdMenuList = getMenuPermissions("pandian/pandian.html");
	first.hasSdckPermission();
	//获取采购退货权限
	first.cgthMenuList = getMenuPermissions("guanhuo/caigou_tuihuo.html");
	first.hasCgthPermission();

	if (self.item != null) {
		first.menuList = self.menuList;
		getCgdDetail(self.item);
		if (self.item.id != null && self.item.id != '') {
			if (first.tag == "copy") {
				document.getElementById("title").innerText = "复制采购单";
				self.item.djrq = new Date().Format("yyyy-MM-dd");
				self.item.id = '';
				self.item.zzdjs = [];
				self.item.zzdjDataList = [];
				self.item.delFlag = '0';
			} else {

				//兼容ios（.replace(/-/g, "/")）
				self.item.djrq = new Date(self.item.djrq.replace(/-/g, "/")).Format("yyyy-MM-dd");
				document.getElementById("title").innerText = "修改采购单";
			}
		}
		first.hasEditPermission();
		first.hasDeletePermission();
	}

	setTimeout(function() {
		menu = mui.preload({
			id: 'spxq.html',
			url: 'spxq.html',
			styles: {
				top: "15%",
				width: '100%',
				zindex: 9997
			}
		});
	}, 100);
	
	mui.extend(first.item, self.item);
	if (self.item != null) {
		first.item.sfje = self.item.sfje;
	}else{
		getCk();
	}
	
	if (first.item.jszhId == '') {
		getJszh();
	}
	
});

function openSpxz(item) {
	var mrsccgjBz = localStorage.getItem('mrsccgjBz');
	var url = hurl + 'spxx/querySpxx';
	var params = {
		id: item.id,
		ckId: first.item.ckId,
		wlId: first.item.gysId,
		mrsccgjBz: mrsccgjBz
	};
	
	loafish.utils.ajax4Get(url, params, null, function(data) {
		var extras = item;
		if (data.sccgj != null && mrsccgjBz == '1') {
			extras.spjg = data.sccgj;
			extras.sccgj = data.sccgj;
		} else {
			extras.spjg = item.jycgj;
			extras.sccgj = item.jycgj;
		}
		
		mui.each(data.spList, function(index, item) {
			item.spsl = 0;
			item.slHj = 0;
			item.slHj_Ys = 0;
		});
		
		mui.fire(menu, "setValue", {
			item: extras,
			spmxDataList: data.spList,
			mrsccgjBz: mrsccgjBz,
			source: 'caigou_xz.html'
		});
		
		openMenu();
	});
}

//商品弹窗关闭
window.addEventListener('_closeMenu', function(e) {
	_closeMenu();
	mask.close(); //关闭遮罩
});

function getJszh() {
	var url = hurl + '/invJszh/queryAll';
	var params = {
		page: 1,
		rows: 1
	};

	loafish.utils.ajax4Get(url, params, null, function(returnData) {
		var list = returnData;
		if (list != null && list.length > 0) {
			var jszh = list[0];
			first.item.jszhId = jszh.id;
			first.item.jszhMc = jszh.zhmc
		}
	});
}