mui.init();
mui.previewImage(); // 图片预览

var first = new Vue({
	el: "#first",
	data: {
		item: {
			id: '',
			ckId: '',
			ckMc: '',
			djrq: new Date().Format("yyyy-MM-dd"),
			djBh: '',
			shzt: '0',
			khId: '',
			khMc: '',
			khqk: '',
			khye: 0,
			hyDjId: '',
			ywlb: '1',
			spmxDataList: [],
			xsjeHj: 0.00,
			xsslHj: 0,
			qtfylx: '',
			qtfylxMc: '',
			qtfyje: 0,
			ssje: 0,
			xscbje: 0.00,
			xscbje: 0.00,
			yhje: 0,
			yhhje: 0,
			zzdjs: [],
			zzdjDataList: [],
			jszhId: '',
			jszhMc: '',
			shfs: '1',
			shrq: new Date().Format("yyyy-MM-dd"),
			shlxr: '',
			shlxdh: '',
			shdz: '',
			wlgsmc: '',
			shdh: '',
			xsry: '',
			xsryMc: '',
			remarks: '',
			zdzk: 100, //整单折扣
			orgId: '',
			orgMc: ''
		},
		isFckBz: false,
		tag: '',
		showEditBtn: false,
		showDeleteBtn: false,
		pldj: 0,
		plzk: 0,
		plzhjg: 0,
		plspMc: '',
		plspBh: '',
		plspId: '',
		bz: '',
		pdMenuList: [], //盘点权限列表,
		hasSdck: false, //是否拥有锁定，解锁仓库权限
		xsthdMenuList: [], //销售退货单权限
		hasXsthd: false, //是否拥有复制销售退货单权限
		isLsmd: false
	},
	methods: {
		//判断是否拥有复制销售退货单权限
		hasXsthdPermission: function() {
			if (this.xsthdMenuList != null) {
				for (var i = 0; i < this.xsthdMenuList.length; i++) {
					if (this.xsthdMenuList[i].permission == 'inv:invXsth:edit') {
						this.hasXsthd = true;
						break;
					}
				}
			}
		},
		/*锁定解锁权限判断*/
		hasSdckPermission: function() {
			if (this.pdMenuList != null) {
				for (var i = 0; i < this.pdMenuList.length; i++) {
					if (this.pdMenuList[i].permission == 'inv:invPdd:check') {
						this.hasSdck = true;
						break;
					}
				}
			}
		},
		//其他费用弹窗
		qtfytc: function() {
			var extras = {
				zklx: first.item.qtfylx,
				zklxMc: first.item.qtfylxMc,
				qtfyje: first.item.qtfyje
			};

			var webview = plus.webview.create('../common/qtfy.html', 'qtfy.html', webview_style, extras);

			webview.addEventListener("titleUpdate", function() {
				webview.show("slide-in-right", 300);
			});
		},
		//根据商品id批量修改单价，折扣，折后价
		plgj: function(item) {
			first.plspId = item.spId;
			first.plspMc = item.spMc;
			first.plspBh = item.spBh;
			first.pldj = item.xsdj;
			first.plzk = item.spZk;
			first.plzhjg = Number(item.xsdj) * Number(item.spZk) / 100;
			mui('#plgjPopover').popover('toggle');
		},
		//批量改价弹窗取消
		plqx: function() {
			first.plspId = '';
			first.plspMc = '';
			first.plspBh = '';
			first.pldj = '';
			first.plzk = '';
			first.plzhjg = '';
			mui('#plgjPopover').popover('toggle');
		},
		//批量改价弹窗保存
		plbc: function() {
			mui.each(first.item.spmxDataList, function(index, item) {
				if (item.spId == first.plspId) {
					item.xsdj = first.pldj;
					item.spZk = first.plzk;
					item.spZhdj = first.plzhjg;
					
					/*计算对应商品的折后总价*/
					item.spZhje = item.xssl * item.spZhdj;
					/*计算对应商品的销售总价*/
					item.xsje = item.xssl * item.xsdj;
				}
			});
			first.cal();
			mui('#plgjPopover').popover('toggle');
		},
		//批量改价弹窗的修改计算
		plCal: function() {
			first.plzhjg = Number(first.pldj) * Number(first.plzk) / 100;
		},
		/*判断是否有编辑权限*/
		hasEditPermission: function() {
			for (var i = 0; i < this.menuList.length; i++) {
				if (this.menuList[i].permission == 'inv:invXsd:edit') {
					this.showEditBtn = true;
					break;
				}
			}
		},
		/*打印*/
		toPrint: function() {
			var webview_style = {
				popGesture: "close"
			}
			var extras = {
				item: first.item,
				yhhje: first.item.yhhje,
				spmxList: first.item.spmxDataList
			};

			var webview = plus.webview.create('xsdPrint.html', 'xsdPrint.html', webview_style, extras);
			webview.addEventListener("titleUpdate", function() {
				webview.show("slide-in-right", 300);
			});
		},
		/*判断是否有删除权限*/
		hasDeletePermission: function() {
			for (var i = 0; i < this.menuList.length; i++) {
				if (this.menuList[i].permission == 'inv:invXsd:delete') {
					this.showDeleteBtn = true;
					break;
				}
			}
		},
		/*分享*/
		/*share: function() {
			var href = viewUrl + "xsdmx/list?dsdId=" + first.item.id;
			var title = loafish.utils.getQyMc() + "销售单，请查阅";
			var cotent = "销售单号：\n" + first.item.djBh;
			doShareLink(href, title, cotent);
		},*/
		/*操作按钮点击事件*/
		operation: function() {
			if (mui.os.plus) {
				var a = [{
						title: "蓝牙打印"
					}
					/*, {
										title: "微信分享"
									}*/
				];
				if (first.hasXsthd) {
					a.splice(0, 0, {
						title: "复制新增退货"
					});
				}
				if (first.showEditBtn) {
					a.splice(0, 0, {
						title: "复制新增销售"
					});
				}
				if (first.item.shzt === '0') {
					if (first.showDeleteBtn) {
						a.splice(0, 0, {
							title: "撤销"
						});
					}
				}
				plus.nativeUI.actionSheet({
					cancel: "取消",
					buttons: a
				}, function(b) { /*actionSheet 按钮点击事件*/
					switch (b.index) {
						case 0:
							break;
						case 1:
							if (first.item.shzt === '0' && first.showDeleteBtn && first.item.delFlag === '0') {
								/*判断撤销权限*/
								first.shanchu();
							} else if (first.showEditBtn) {
								first.edit("copy");
							} else if (first.hasXsthd) {
								first.edit("copy", "th");
							} else {
								first.toPrint();
							}
							break;
						case 2:
							if (first.hasXsthd && !first.showDeleteBtn) {
								first.edit("copy", "th");
							} else if (first.showEditBtn && first.showDeleteBtn) {
								first.edit('copy');
							} else {
								first.toPrint();
							}
							break;
						case 3:
							if (first.hasXsthd && first.showDeleteBtn && first.showEditBtn) {
								first.edit("copy", "th");
							} else {
								first.toPrint();
							}
							break;
						case 4:
							first.toPrint();
							/*first.share();*/
							break;
						case 5:
							/*first.share();*/
							break;
						default:
							break;
					}
				})
			}
		},
		/*判断系统参数*/
		hasXtcsPermission: function() {
			var yxfkcBz = localStorage.getItem('yxfkcBz');
			/*判断是否启用负出库*/
			if (yxfkcBz == '1') { //0停用；1启用
				this.isFckBz = true;
			}
		},
		//计算填写的数量
		cal: function(index, spxx, log) {
			if (index != null && spxx != null) {
				if (log == 'zk') {
					spxx.spZhdj = spxx.spZk * spxx.xsdj / 100;
				}
				if (log == 'zhk') {
					spxx.spZk = spxx.spZhdj / spxx.xsdj * 100;
				}
				/*计算对应商品的折后总价*/
				spxx.spZhje = spxx.xssl * spxx.spZhdj;
				/*计算对应商品的销售总价*/
				spxx.xsje = spxx.xssl * spxx.xsdj;

				Vue.set(first.item.spmxDataList, index, spxx);
			}
			var xsslHj = 0;
			var xsjeHj = 0;
			var yhhje = 0;
			var xscbje = 0;
			mui.each(first.item.spmxDataList, function(index, item) {
				xsslHj += Number(item.xssl);
				xsjeHj += item.xsdj * item.xssl * item.spZk / 100;
				xscbje += item.xscbdj * item.xssl;
			});
			first.item.xsslHj = xsslHj;
			first.item.xsjeHj = xsjeHj;
			first.item.xscbje = xscbje;
			first.item.yhhje = (Number(first.item.xsjeHj) * first.item.zdzk / 100) + Number(first.item.qtfyje) -
				Number(first.item.yhje);
			first.item.ssje = Number(first.item.yhhje);
		},
		//删除已选的商品
		del: function(index) {
			mui.confirm("确定要删除该商品吗?", "删除商品", ['取消', '删除'], function(e) {
				if (e.index == 1) {
					first.item.spmxDataList.splice(index, 1);
					first.cal();
					mui.closePopup();
				}
			}, 'div')

		},
		/*选择结算账户*/
		xzJszh: function() {
			var webview = plus.webview.create('../common/select_jszh.html', 'common/select_jszh.html',
				webview_style, {
					orgId: (first.isLsmd ? first.item.orgId : ''),
					jszhId: first.item.jszhId
				});
			webview.addEventListener("titleUpdate", function() {
				webview.show(aniShow, 300);
			});
		},
		//删除整个商品
		spDel: function(spId) {
			mui.confirm("确认要删除该商品吗?", "删除商品", ["取消", "确认"], function(e) {
				if (e.index == 1) {
					for (var i = first.item.spmxDataList.length - 1; i >= 0; i--) {
						if (first.item.spmxDataList[i].spId == spId) {
							first.item.spmxDataList.splice(i, 1);
						}
					}
					first.cal();
				}
			}, 'div');
		},
		//商品备注弹窗
		bztc: function(spxx, index) {
			spbz.item = spxx;
			spbz.index = index;
			document.getElementById("spbzModal").classList.add("mui-active");
		},
		/*修改*/
		edit: function(tag, bz) {
			//判断仓库是否锁定
			var lock = isLock(first.item.ckId);
			if (lock) {
				var ckTips = "";
				if (first.hasSdck) {
					ckTips = '<a onclick="tzck();return false">前往解锁</a>';
				} else {
					ckTips = "<span style='color:red;'>请通知仓库管理员进行解锁</span>";
				}
				mui.alert("此仓库为盘点锁定状态，请解锁后再进行操作！\n " + ckTips, "提示", "确定", function() {}, 'div')
				return;
			}

			var extras = first.item;
			var html = 'xiaoshou_xz.html';
			if (bz == 'th') {
				html = 'xiaoshou_tuihuo_xz.html'
			}
			plus.webview.hide(plus.webview.currentWebview());

			var webview = plus.webview.create(html, html, webview_style, {
				item: extras,
				tag: tag,
				bz: bz,
				menuList: first.menuList
			});

			webview.addEventListener("titleUpdate", function() {
				webview.show("slide-in-right", 300);
			});
		},
		/*撤销*/
		shanchu: function() {
			//判断仓库是否锁定
			var lock = isLock(first.item.ckId);
			if (lock) {
				var ckTips = "";
				if (first.hasSdck) {
					ckTips = '<a onclick="tzck();return false">前往解锁</a>';
				} else {
					ckTips = "<span style='color:red;'>请通知仓库管理员进行解锁</span>";
				}
				mui.alert("此仓库为盘点锁定状态，请解锁后再进行操作！\n " + ckTips, "提示", "确定", function() {}, 'div')
				return;
			}
			mui.confirm('您确定要撤销吗？', '温馨提示', ['取消', '撤销'], function(e) {
				if (e.index == 1) {
					var url = hurl + 'xsd/delete';
					var params = {
						id: first.item.id
					};

					loafish.utils.ajax4Post(url, params, null, function(data) {
						if (data.success) {
							var mainPage = plus.webview.getWebviewById("guanhuo/xiaoshou.html");
							mui.fire(mainPage, "query");

							mui.back();
							mui.toast('操作成功！');
						} else {
							if (data.lock) {
								var ckTips = "";
								if (first.hasSdck) {
									ckTips = '<a onclick="tzck();return false">前往解锁</a>';
								} else {
									ckTips = "<span style='color:red;'>请通知仓库管理员进行解锁</span>";
								}
								mui.alert("此仓库为盘点锁定状态，请解锁后再进行操作！\n " + ckTips, "提示", "确定", function() {}, 'div')
								return;
							} else {
								mui.toast(returnData.msg);
							}
						}
					});
				}
			}, 'div');
		},
		save: function(flag) {
			if (flag == "zc") {
				first.item.shzt = '0';
			} else if (flag == "tj") {
				first.item.shzt = '1';
			}
			var params = {};
			mui.extend(params, first.item);
			params.spmxDataList = first.item.spmxDataList;
			//是否开启负库存标识
			var yxfkcBz = localStorage.getItem('yxfkcBz');

			var zzdj = [];
			mui.each(first.item.zzdjs, function(index, item) {
				zzdj.push(item.tpId)
			});
			params.zzdjs = zzdj.join('&');
			//1、表单验证
			if (params.khMc == '') {
				mui.toast('请选择客户！');
				return;
			}

			if (params.djrq == '') {
				mui.toast('请填写销售日期！');
				return;
			}
			var djrq = document.getElementById("djrq").validity;
			if (!djrq.valid) {
				mui.toast('请填写正确的销售日期！');
				return;
			}
			if (params.orgId == '') {
				mui.toast('请选择门店！');
				return;
			}
			if (params.ckMc == '') {
				mui.toast('请选择出货仓库！');
				return;
			}

			if (first.item.spmxDataList.length == 0) {
				mui.toast('请选择要销售的商品！');
				return;
			}
			var isFlag = false;
			mui.each(first.item.spmxDataList, function(index, item) {
				if (item.xssl == '' || item.xssl == 0) {
					isFlag = true;
					return false;
				}
			})

			if (isFlag) {
				mui.toast('存在销售数量为0的商品请修改后提交！');
				return false;
			}

			if (params.ssje != '' && (params.jszhId == '' || params.jszhId == null)) {
				mui.toast('请选择结算账户！');
				return;
			}

			if (params.shfs === '2') {
				if (params.shrq == '') {
					mui.toast('请选择送货时间！');
					return;
				}
				if (params.shlxr == '') {
					mui.toast('请填写客户联系人！');
					return;
				}
				if (params.shlxdh == '') {
					mui.toast('请填写送货联系电话！');
					return;
				}
				if (params.shlxdh != null && params.shlxdh != '') {
					var phoneReg = /^[1][3,4,5,7,8][0-9]{9}$/;
					if (!phoneReg.test(params.shlxdh)) {
						mui.toast('请填写正确的手机号码！');
						return false;
					}
				}
				if (params.shdz == '') {
					mui.toast('请填写送货联系地址！');
					return;
				}
			}
			if (params.shfs === '1') {
				params.shrq = '';
				params.shlxr = '';
				params.shlxdh = '';
				params.shdz = '';
				params.wlgsmc = '';
				params.shdh = '';
			}

			params.ssje = formatJe(params.ssje);

			var url = hurl + 'xsd/save';
			if (first.tag == "copy") {
				var url = hurl + 'xsd/save?tag=' + first.tag;
			}

			loafish.utils.ajax4Post(url, params, "application/json", function(returnData) {

				if (returnData.success) {
					var data = returnData.data;

					first.item.id = data.id;
					first.item.djBh = data.djBh;

					var mainPage = plus.webview.getWebviewById("guanhuo/xiaoshou.html");
					mui.fire(mainPage, "query");
					if (first.bz == "xs") {
						//提前关闭销售页面，防止白屏
						plus.webview.close(plus.webview.getWebviewById('guanhuo/xiaoshou.html'));
						plus.webview.close(plus.webview.getWebviewById('guanhuo/xiaoshou_tuihuo.html'));

						/*获取销售权限*/
						var perList = getMenuPermissions('guanhuo/xiaoshou.html');
						var subWebview = plus.webview.create('xiaoshou.html', 'xiaoshou.html', webview_style, {
							menuList: perList
						});
						subWebview.show(aniShow, 300);
					}
					//如果在商品列表页，则刷新列表页和库存
					var spPage = plus.webview.getWebviewById("spList.html");
					if (spPage != null) {
						mui.fire(spPage, "query", {});
					}
					self.close();
					mui.back();
					mui.toast('操作成功！');
				} else {
					if (returnData.lock) {
						var ckTips = "";
						if (first.hasSdck) {
							ckTips = '<a onclick="tzck();return false">前往解锁</a>';
						} else {
							ckTips = "<span style='color:red;'>请通知仓库管理员进行解锁</span>";
						}
						mui.alert("此仓库为盘点锁定状态，请解锁后再进行操作！\n " + ckTips, "提示", "确定", function() {}, 'div')
						return;
					} else {
						mui.toast(returnData.msg);
					}
				}
			});
		}
	}
});
//====================================================================================
//客户名称控件点击触发事件
document.getElementById("khMc").addEventListener('tap', function() {
	var khMenuList = getMenuPermissions('guanke/khList.html');
	var subWebview = plus.webview.create('../common/search_kh.html', 'common/search_kh.html',
		webview_style, {
			source: 'xiaoshou_xz.html',
			menuList: khMenuList
		});
	subWebview.addEventListener("titleUpdate", function() {
		subWebview.show("slide-in-right", 300);
	});
});
/*回调函数-给客户名称赋值*/
window.addEventListener('setKh', function(e) {
	first.item.khId = e.detail.khId;
	first.item.khMc = e.detail.khMc;
	first.item.khye = e.detail.dqye;
	first.item.hyDjId = e.detail.hyDjId;
	first.item.shlxr = e.detail.syLxr;
	first.item.shlxdh = e.detail.syPhone;
	first.item.shdz = e.detail.dz;
	if (first.item.spmxDataList.length > 0) {
		mui.each(first.item.spmxDataList, function(index, spxx) {
			spxx.spZk = 100;
			if (spxx.hyFlag === '1' && first.item.hyDjId !== '') {
				var hyzkArr = JSON.parse(spxx.hyStr);
				mui.each(hyzkArr, function(idx, zk) {
					if (zk.djId === first.item.hyDjId) {
						spxx.spZk = zk.hyzk;
						return false;
					}
				})
			}
			spxx.spZhdj = Number(spxx.xsdj) * Number(spxx.spZk) / 100;
			spxx.xsje = Number(spxx.xssl) * Number(spxx.xsdj);
			spxx.spZhje = spxx.xsje * Number(spxx.spZk) / 100;
		})
		first.cal();
	}
});

/* 所属门店控件点击触发事件 */
document.getElementById("orgMc").addEventListener('tap', function() {
	var webview = plus.webview.create('../common/select_md.html', 'select_md.html', webview_style, {
		orgId: first.item.orgId
	});

	webview.addEventListener("titleUpdate", function() {
		webview.show("slide-in-right", 300);
	});
});
/*回调函数-所属门店赋值*/
window.addEventListener('setMdxx', function(e) {
	if (first.item.orgId !== e.detail.orgId) {
		first.item.orgId = e.detail.orgId;
		first.item.orgMc = e.detail.orgMc;
		first.item.ckId = '';
		first.item.ckMc = '';	
		
		if (first.item.spmxDataList.length > 0) {
			/*mui.confirm('提示： 所属门店已变动，销售商品清单将被清空，确认要变动吗?', '温馨提示', ['取消', '确认'], function(event) {
				if (event.index == 1) {
					//确认
					first.item.orgId = e.detail.orgId;
					first.item.orgMc = e.detail.orgMc;
					first.item.ckId = '';
					first.item.ckMc = '';
					first.item.spmxDataList = [];
					first.cal();
				}
			}, 'div');*/
		} else {
			first.item.orgId = e.detail.orgId;
			first.item.orgMc = e.detail.orgMc;
			first.item.ckId = '';
			first.item.ckMc = '';
		}
	}
})

//仓库名称控件点击触发事件
document.getElementById("ckMc").addEventListener('tap', function() {
	var webview = plus.webview.create('../common/select_ck.html', 'select_ck.html', webview_style, {
		orgId: (first.isLsmd ? first.item.orgId : ''),
		ckId: first.item.ckId
	});

	webview.addEventListener("titleUpdate", function() {
		webview.show("slide-in-right", 300);
	});
});
/*回调函数-给仓库名称赋值*/
window.addEventListener('setCk', function(e) {
	if (first.item.ckId == '') {
		first.item.ckId = e.detail.ckId;
		first.item.ckMc = e.detail.ckMc;
	} else {
		if (first.item.spmxDataList.length > 0) {
			if (e.detail.ckId != first.item.ckId) {
				first.item.ckId = e.detail.ckId;
				first.item.ckMc = e.detail.ckMc;
					
				/*mui.confirm('提示： 仓库已变动，销售商品清单将被清空，确认要变动吗?', '温馨提示', ['取消', '确认'], function(event) {
					if (event.index == 1) {
						//确认
						first.item.spmxDataList = [];
						first.item.ckId = e.detail.ckId;
						first.item.ckMc = e.detail.ckMc;

						first.cal();
					}
				}, 'div');*/
			}
		} else {
			first.item.ckId = e.detail.ckId;
			first.item.ckMc = e.detail.ckMc;
		}
	}
});
//===========================商品备注加载==========================
var spbz = new Vue({
	el: "#spbzModal",
	data: {
		item: {},
		index: ''
	},
	methods: {
		saveSpbz: function() {
			mui.each(first.item.spmxDataList, function(index, spxx) {
				if (index == spbz.index) {
					spxx.remarks = spbz.item.remarks;
					return;
				}
			});
			this.close();
		},
		close: function() {
			document.getElementById("spbzModal").classList.remove("mui-active");
		}
	}
});

//===========================销售人员加载==========================
var list_xsry = new Vue({
	el: "#list_xsry",
	data: {
		items: [],
	}
});

function getYgData(pageNo, pageSize) {
	var url = hurl + 'sys/user/queryAllYgxx';
	var params = {
		page: pageNo,
		rows: pageSize
	};

	loafish.utils.ajax4Get(url, params, null, function(data) {
		list_xsry.items = data;
	});
}

//销售人名称控件点击触发事件
document.getElementById("xsryMc").addEventListener('tap', function() {
	document.getElementById("xsryModal").classList.add("mui-active");

});
//销售人选择
document.querySelector('.mui-table-view.mui-table-view-radio.xsry').addEventListener('selected',
	function(e) {
		first.item.xsry = e.detail.el.id;
		first.item.xsryMc = e.detail.el.innerText;

		document.getElementById("xsryModal").classList.remove("mui-active");
	});
document.getElementById("xsryModal_close").addEventListener("tap", function() {
	document.getElementById("xsryModal").classList.remove("mui-active");
});

/*选择商品*/
document.getElementById("xzsp_btn").addEventListener("tap", function(e) {
	if (first.item.khId == '') {
		mui.toast('请选择客户！');
		return;
	}
	if (first.item.orgId == '') {
		mui.toast('请选择门店！');
		return;
	}
	if (first.item.ckId == '') {
		mui.toast('请选择出货仓库！');
		return;
	}
	var subWebview = plus.webview.create('select_xssp.html', 'select_xssp.html', webview_style, {
		khId: first.item.khId,
		ckId: first.item.ckId
	});
	subWebview.addEventListener("titleUpdate", function() {
		subWebview.show(aniShow, 300);
	});
});

/*直接出入库switch监听*/
mui('.mui-content .mui-switch').each(function() { //循环所有toggle
	this.addEventListener('toggle', function(event) {
		first.item.crkBz = (event.detail.isActive ? '1' : '0');
	});
});

/*回调函数-选择商品*/
window.addEventListener('setSpmxData', function(e) {
	var spmxDataList = e.detail.data;
	mui.each(spmxDataList, function(index, item) {
		item.spId = item.id;
		item.id = null;
		item.xsdj = item.spjg;
		item.xssl = item.spsl;
		item.spZk = 100;
		if (item.hyFlag === '1' && first.item.hyDjId !== '') {
			var hyzkArr = JSON.parse(item.hyStr);
			mui.each(hyzkArr, function(idx, zk) {
				if (zk.djId === first.item.hyDjId) {
					item.spZk = zk.hyzk;
					return false;
				}
			})
		}
		item.spZhdj = Number(item.xsdj) * Number(item.spZk) / 100;
		item.xsje = Number(item.xssl) * Number(item.xsdj);
		item.xscbdj = item.jycgj;
		item.spZhje = item.xsje * Number(item.spZk) / 100;
	})

	if (first.item.spmxDataList.length == 0) {
		first.item.spmxDataList = spmxDataList;
	} else {
		var spmxList = [];
		/*已添加的商品，只更改数量*/
		mui.each(first.item.spmxDataList, function(index, item) {
			mui.each(spmxDataList, function(i, spmx) {
				if (item.spId == spmx.spId && item.ysId == spmx.ysId && item.ccId == spmx.ccId) {
					item.xssl += spmx.xssl;
					item.xsje = Number(item.xssl) * Number(item.xsdj);
					item.spZhje = Number(item.xsje) * Number(item.spZk) / 100;
					return false;
				}
			})
			spmxList.push(item);
		})

		/*不存在的商品，追加在原商品之后*/
		mui.each(spmxDataList, function(i, spmx) {
			var falg = true;
			mui.each(first.item.spmxDataList, function(index, item) {
				if (item.spId == spmx.spId && item.ysId == spmx.ysId && item.ccId == spmx.ccId) {
					falg = false;
					return false;
				}
			})
			if (falg) {
				spmxList.push(spmx);
			}
		})
		first.item.spmxDataList = spmxList;

	}

	first.cal();
});
//商品弹窗关闭
window.addEventListener('_closeMenu', function(e) {
	_closeMenu();
	mask.close(); //关闭遮罩
});
/*扫码》添加商品*/
window.addEventListener('selectSpxx4Barcode', function(e) {
	var barcode = e.detail.barcode;
	var mrscxsjBz = localStorage.getItem('mrscxsjBz');
	var params = {
		sptxm: barcode,
		ckId: first.item.ckId,
		wlId: first.item.khId,
		mrscxsjBz: mrscxsjBz
	};

	var url = hurl + 'spxx/findBySptxm';
	loafish.utils.ajax4Post(url, params, null, function(returnData) {
		var extras = returnData.spxx;

		if (returnData.success) {
			if (returnData.scxsj != null && mrscxsjBz == '1') {
				extras.spjg = returnData.scxsj;
				extras.scxsj = returnData.scxsj;
			} else {
				extras.spjg = returnData.spxx.jyxsj;
				extras.scxsj = returnData.spxx.jyxsj;
			}

			mui.each(returnData.spmxlist, function(index, item) {
				item.spsl = 0;
				item.slHj = 0;
				item.slHj_Ys = 0;
			});

			mui.fire(menu, "setValue", {
				item: extras,
				spmxDataList: returnData.spmxlist,
				mrscxsjBz: mrscxsjBz,
				source: 'xiaoshou_xz.html'
			});
			openMenu();
		} else {
			mui.toast("未在商品列表中找到此条码！");
		}
	});

});

/*商品扫码详情回调*/
window.addEventListener('setSpmx', function(e) {
	var spmxDataList = e.detail.item.spmxDataList;

	mui.each(spmxDataList, function(index, item) {
		item.id = null;
		item.xsdj = item.spjg;
		item.xssl = item.spsl;
		item.spZk = 100;
		if (item.hyFlag === '1' && first.item.hyDjId !== '') {
			var hyzkArr = JSON.parse(item.hyStr);
			mui.each(hyzkArr, function(idx, zk) {
				if (zk.djId === first.item.hyDjId) {
					item.spZk = zk.hyzk;
					return false;
				}
			})
		}
		item.spZhdj = Number(item.xsdj) * Number(item.spZk) / 100;
		item.xsje = Number(item.xssl) * Number(item.xsdj);
		item.xscbdj = item.jycgj;
		item.spZhje = item.xsje * Number(item.spZk) / 100;
		item.remarks = '';
	})
	if (first.item.spmxDataList.length > 0) {
		var spmxList = [];
		/*已添加的商品，只更改数量*/
		mui.each(first.item.spmxDataList, function(index, item) {
			mui.each(spmxDataList, function(i, spmx) {
				if (item.spId == spmx.spId && item.ysId == spmx.ysId && item.ccId == spmx.ccId) {
					item.xssl = Number(item.xssl) + Number(spmx.xssl);
					return false;
				}
			})
			spmxList.push(item);
		})

		/*不存在的商品，追加在原商品之后*/
		mui.each(spmxDataList, function(i, spmx) {
			var falg = true;
			mui.each(first.item.spmxDataList, function(index, item) {
				if (item.spId == spmx.spId && item.ysId == spmx.ysId && item.ccId == spmx.ccId) {
					falg = false;
					return false;
				}
			})
			if (falg) {
				spmxList.push(spmx);
			}
		})
		first.item.spmxDataList = spmxList;
	} else {
		first.item.spmxDataList = spmxDataList;
	}
	first.cal();
})

//绑定扫码添加按钮
document.getElementById("stxm_btn").addEventListener("tap", function(e) {

	if (first.item.khId == '') {
		mui.toast('请选择客户！');
		return;
	}
	if (first.item.ckId == '') {
		mui.toast('请选择出货仓库！');
		return;
	}

	var subWebview = plus.webview.create('../common/barcodeFrame.html', 'barcodeFrame.html',
		webview_style, {
			source: 'xiaoshou_xz.html'
		});
	subWebview.addEventListener("titleUpdate", function() {
		subWebview.show(aniShow, 300);
	});

});

/*回调函数--设置结算账户*/
window.addEventListener('setJszh', function(e) {
	first.item.jszhId = e.detail.jszhId;
	first.item.jszhMc = e.detail.jszhMc;
})

/*回调函数--设置其他费用*/
window.addEventListener('setQtfy', function(e) {
	first.item.qtfylx = e.detail.zklx;
	first.item.qtfylxMc = e.detail.zklxMc;
	first.item.qtfyje = e.detail.qtfyje;
	first.cal();
})

//获取销售详情
function getXiaoshouDetail(item) {
	var url = hurl + 'xsdmx/list';
	var params = {
		dsdId: item.id
	};
	loafish.utils.ajax4Get(url, params, null, function(data) {
		item.spmxDataList = data.mxData;
		item.zzdjs = data.zzdjData;
	}, false);
}

function getCk() {
	var url = hurl + '/ckxx/list';
	var params = {
		page: 1,
		rows: 1,
		kjckfw: '0',
		isLock:'0'
	};

	loafish.utils.ajax4Get(url, params, null, function(returnData) {
		var list = returnData.rows;
		if(list!=null && list.length > 0 ) {
			var ck = list[0];
			first.item.ckId = ck.id;
			first.item.ckMc = ck.ckMc;
			
			if(self.source != null){
				setTimeout(function() {
					menu = plus.webview.getWebviewById("spxq.html");
					openSpxz(self.spxx);
				}, 150);
			}
		}
	});
}

var self;
mui.plusReady(function() {
	self = plus.webview.currentWebview();
	first.hasXtcsPermission();
	first.tag = self.tag;
	first.bz = self.bz;
	first.cal();

	first.isLsmd = isKqLsmd();
	first.item.orgId = loafish.utils.getOrgId();
	first.item.orgMc = loafish.utils.getOrgMc();
	//获取盘点权限
	first.pdMenuList = getMenuPermissions("pandian/pandian.html");
	first.hasSdckPermission();
	//获取销售退货单权限
	first.xsthdMenuList = getMenuPermissions("guanhuo/xiaoshou_tuihuo.html");
	first.hasXsthdPermission();

	if (self.item != null) {
		first.menuList = self.menuList;
		getXiaoshouDetail(self.item);
		if (self.item.id != null && self.item.id != '') {
			if (first.tag) {
				document.getElementById("title").innerText = "复制销售单";
				self.item.djrq = new Date().Format("yyyy-MM-dd");
				self.item.shrq = new Date().Format("yyyy-MM-dd");
				self.item.id = '';
				self.item.zzdjs = [];
				self.item.zzdjDataList = [];
				self.item.delFlag = '0';
			} else {
				//兼容ios（.replace(/-/g, "/")）
				self.item.djrq = new Date(self.item.djrq.replace(/-/g, "/")).Format("yyyy-MM-dd");
				document.getElementById("title").innerText = "修改销售单";
			}
		}
		first.hasEditPermission();
		first.hasDeletePermission();
	} else {
		first.item.xsry = loafish.utils.getUserId();
		first.item.xsryMc = loafish.utils.getUserName();
	}
	/*获取员工数据*/
	getYgData(1, pageSize);

	setTimeout(function() {
		menu = mui.preload({
			id: 'spxq.html',
			url: 'spxq.html',
			styles: {
				top: "15%",
				width: '100%',
				zindex: 9997
			}
		});
	}, 100);
	
	mui.extend(first.item, self.item);
	if (self.item != null) {
		first.item.ssje = self.item.ssje;
	}else{
		getCk();
	}
	
	if (first.item.jszhId == '') {
		getJszh();
	}
});

function getJszh() {
	var url = hurl + '/invJszh/queryAll';
	var params = {
		page: 1,
		rows: 1
	};

	loafish.utils.ajax4Get(url, params, null, function(returnData) {
		var list = returnData;
		if (list != null && list.length > 0) {
			var jszh = list[0];
			first.item.jszhId = jszh.id;
			first.item.jszhMc = jszh.zhmc
		}
	});
}

function openSpxz(item) {
	var mrsccgjBz = localStorage.getItem('mrsccgjBz');
	var url = hurl + 'spxx/querySpxx';
	var params = {
		id: item.id,
		ckId: first.item.ckId,
		wlId: first.item.khId,
		mrsccgjBz: mrsccgjBz
	};
	
	loafish.utils.ajax4Get(url, params, null, function(data) {
		var extras = item;
		if(data.scxsj != null && mrscxsjBz == '1') {
			extras.spjg = data.scxsj;
			extras.scxsj = data.scxsj;
		} else {
			extras.spjg = item.jyxsj;
			extras.scxsj = item.jyxsj;
		}
		
		mui.each(data.spList, function(index, item) {
			item.spsl = 0;
			item.slHj = 0;
			item.slHj_Ys = 0;
		});

		mui.fire(menu, "setValue", {
			item: extras,
			spmxDataList: data.spList,
			mrsccgjBz: mrsccgjBz,
			source: 'xiaoshou_xz.html'
		});
		openMenu();
	});
}

//商品弹窗关闭
window.addEventListener('_closeMenu', function(e) {
	_closeMenu();
	mask.close(); //关闭遮罩
});