function queryZcqk(){
	var url = hurl + '/inv/invIndex/queryZcqk';
	loafish.utils.ajax4Post(url, {}, null, function(result) {
		mainVue.zzc = result.zzc;
		mainVue.zhye = result.zhye;
		mainVue.kcje = result.kcje;
		mainVue.yszk = result.yszk;
		mainVue.yfzk = result.yfzk;
		
		var dataList = [];
		var isEmpty = true;
		for(var i=0;i<result.dataList.length;i++){
			var data = result.dataList[i];
			dataList.push([data.name, Number(data.y)]);
			if(Number(data.y) > 0){
				isEmpty = false;
			}
		}
		
		var pointFormatStr = '{point.name}: <b>{point.y}({point.percentage:.1f}%)</b>';
		if(isEmpty){
			pointFormatStr = '{point.name}: <b>0.00</b>';
			
			dataList = [];
			dataList.push({name:'账户余额',   y: 10.0});
			dataList.push({name:'库存总额',   y: 10.0});
			dataList.push({name:'应收欠款',   y: 10.0});
		}
		
		chart4Zjzk = Highcharts.chart('container4Zjzk', {
			title: {
				floating:true,
				text: ''
			},
			credits: {
				 enabled: false
			},
			tooltip: {
				pointFormat: pointFormatStr,
				headerFormat: '<span style="font-size: 10px">资产</span><br/>'
			},
			colors:['#00C6C7','#7D7CFC','#FC654B','#3C91FC'],
			series: [{
				type: 'pie',
				innerSize: '60%',
				data: dataList,
				dataLabels:{
					enabled:false
				},
				tooltip: {
					valueDecimals: getJeXsw()
				}
			}]
		}, function(c) { // 图表初始化完毕后的会掉函数
			// 环形图圆心
			var centerY = c.series[0].center[1];
			var	titleHeight = parseInt(c.title.styles.fontSize);
			// 动态设置标题位置
			c.setTitle({
				y:centerY + titleHeight/2
			});
		});
	});
}

//查询活跌商品
function queryHysp(tjlx, ckjeBz){
	var url = hurl + '/inv/invIndex/querySphypm';
	var params = {
		tjLx: tjlx,
		sortName: (ckjeBz=='1'?'ckje':'cksl'),
		order:'desc',
		showCrkZore: '1'
	}
	loafish.utils.ajax4Post(url, params , null, function(result) {
		mainVue.hyspList = result;
		mainVue.hyspLoading = false;
	});
}

function queryJszh(){
	var url = hurl + '/inv/invIndex/queryJszh';
	
	loafish.utils.ajax4Post(url, {}, null, function(result) {
		mainVue.jszhDataList = result.dataList;
		
		var dataList = [];
		var isEmpty = true;
		if(result.dataList != null){
			for(var i=0;i<result.dataList.length;i++){
				var data = result.dataList[i];
				dataList.push([data.zhmc, Number(data.dqye)]);
				if(Number(data.dqye) > 0){
					isEmpty = false;
				}
			}
		}
		
		var pointFormatStr = '{point.name}: <b>{point.y}({point.percentage:.1f}%)</b>';
		if(isEmpty){
			pointFormatStr = '{point.name}: <b>0.00</b>';
			
			dataList = [];
			dataList.push({name:'账户金额占比',   y: 10.0});
		}
		
		Highcharts.chart('container4jszh', {
			title: {
				floating:true,
				text: ''
			},
			credits: {
				 enabled: false
			},
			tooltip: {
				pointFormat: pointFormatStr,
				headerFormat: '<span style="font-size: 10px">账户金额占比</span><br/>'
			},
			colors:['#00C6C7','#7D7CFC','#FFAF34','#FC654B','#3C91FC'],
			series: [{
				type: 'pie',
				data: dataList,
				dataLabels:{
					enabled:false
				},
				tooltip: {
					valueDecimals: getJeXsw()
				}
			}]
		}, function(c) { // 图表初始化完毕后的会掉函数
			// 环形图圆心
			var centerY = c.series[0].center[1];
			var	titleHeight = parseInt(c.title.styles.fontSize);
			// 动态设置标题位置
			c.setTitle({
				y:centerY + titleHeight/2
			});
		});
	});
}

function queryKcfb(splbBz, jeBz){
	if(jeBz == '1'){ //按金额
		queryKcjefb('');
	}else{ //按数量
		queryKcslfb('');
	}
}

function queryKcjefb(splbBz){
	var url = hurl + '/inv/invIndex/queryKcfb';
	
	loafish.utils.ajax4Post(url, {pxzdName:'4'}, null, function(result) {
		mainVue.kczJe = result.kczJe;
		mainVue.kcfbDataList = result.ckDataList;
		
		var dataList = [];
		var isEmpty = true;
		if(result.ckDataList != null){
			for(var i=0;i<result.ckDataList.length;i++){
				var data = result.ckDataList[i];
				dataList.push([data.ckMc, Number(data.zcb)]);
				if(Number(data.zcb) > 0){
					isEmpty = false;
				}
			}
		}
		
		var pointFormatStr = '{point.name}: <b>{point.y}({point.percentage:.1f}%)</b>';
		if(isEmpty){
			pointFormatStr = '{point.name}: <b>0.00</b>';
			
			dataList = [];
			dataList.push({name:'库存金额占比',   y: 10.0});
		}
		
		Highcharts.chart('container4Kcfb', {
			title: {
				floating:true,
				text: ''
			},
			credits: {
				 enabled: false
			},
			tooltip: {
				pointFormat: pointFormatStr,
				headerFormat: '<span style="font-size: 10px">库存金额占比</span><br/>'
			},
			colors:['#00B8AE','#8FD14E','#F4A617','#FC7E2A','#FC7E2A','#3994FF'],
			series: [{
				type: 'pie',
				innerSize: '60%',
				data: dataList,
				dataLabels:{
					enabled:false
				},
				tooltip: {
					valueDecimals: getJeXsw()
				}
			}]
		}, function(c) { // 图表初始化完毕后的会掉函数
				// 环形图圆心
				var centerY = c.series[0].center[1];
				var	titleHeight = parseInt(c.title.styles.fontSize);
				// 动态设置标题位置
				c.setTitle({
					y:centerY + titleHeight/2
				});
		});
		
		mainVue.kcfbLoading = false;
	});
}

function queryKcslfb(splbBz){
	var url = hurl + '/inv/invIndex/queryKcslfb';
	
	loafish.utils.ajax4Post(url, {pxzdName:'3'}, null, function(result) {
		mainVue.kczSl = result.kczSl;
		mainVue.kcfbDataList = result.ckDataList;
		
		var dataList = [];
		var isEmpty = true;
		if(result.ckDataList != null){
			for(var i=0;i<result.ckDataList.length;i++){
				var data = result.ckDataList[i];
				dataList.push([data.ckMc, Number(data.kcsl)]);
				
				if(Number(data.kcsl) > 0){
					isEmpty = false;
				}
			}
		}
		
		var pointFormatStr = '{point.name}: <b>{point.y}({point.percentage:.1f}%)</b>';
		if(isEmpty){
			pointFormatStr = '{point.name}: <b>0.00</b>';
			
			dataList = [];
			dataList.push({name:'库存数量占比',   y: 10.0});
		}
		
		Highcharts.chart('container4Kcfb', {
			title: {
				floating:true,
				text: ''
			},
			credits: {
				 enabled: false
			},
			tooltip: {
				pointFormat: pointFormatStr,
				headerFormat: '<span style="font-size: 10px">库存数量占比</span><br/>'
			},
			colors:['#00B8AE','#8FD14E','#F4A617','#FC7E2A','#FC7E2A','#3994FF'],
			series: [{
				type: 'pie',
				innerSize: '60%',
				data: dataList,
				dataLabels:{
					enabled:false
				},
				tooltip: {
					valueDecimals: 2
				}
			}]
		}, function(c) { // 图表初始化完毕后的会掉函数
			// 环形图圆心
			var centerY = c.series[0].center[1];
			var	titleHeight = parseInt(c.title.styles.fontSize);
			// 动态设置标题位置
			c.setTitle({
				y:centerY + titleHeight/2
			});
		});
		
		mainVue.kcfbLoading = false;
	});
}

function queryCkqs(tjlx, ckjeBz){}

function queryRkqs(tjlx, rkjeBz){}

function queryKhqk(){
	var url = hurl + '/inv/invIndex/queryKhqk';
	loafish.utils.ajax4Post(url, {}, null, function(result) {
		mainVue.zyszk = result.zyszk;
		mainVue.yszkDataList = result.dataList;
	});
}

function queryGysqk(){
	var url = hurl + '/inv/invIndex/queryGysqk';
	loafish.utils.ajax4Post(url, {}, null, function(result) {
		mainVue.zyfzk = result.zyfzk;
		mainVue.yfzkDataList = result.dataList;
	});
}

function queryXsphKh(rqlx){}
function queryYjph(rqlx){}

function queryXsqs(rqlx){
	var url = hurl + '/inv/invIndex/queryXsqs';
	loafish.utils.ajax4Post(url, {flag: rqlx}, null, function(result) {
		var labels = result.labels;
		var xseList = result.xseList;
		
		var dataList = [];
		for(var i=0;i<xseList.length;i++){
			var data = xseList[i];
			dataList.push(['销售额', Number(data)]);
		}
		
	    var chart4Xhqs = Highcharts.chart('container4Xhqs', {
	    	chart: {
	    		type: 'area'
	    	},
	    	title: {
	    		text: ''
	    	},
	    	credits: {
	    	     enabled: false
	    	},
	    	yAxis: {
	    		title: {
	    			text: '',
	    			rotation:0,
	    			x:0
	    		},
	    		labels: {
	    		align: 'left',
	    		x: 0,
	    		y: 0
	    	},
			gridLineColor: 'rgba(239, 239, 244, 0.46)',
			showFirstLabel:false,
				tickAmount: 5,
				allowDecimals:true
			},
			legend: {
				enabled:false,
				align:'right',
				verticalAlign:'top',
				borderWidth: 0
			},
			colors:['#00B8AE'],
			plotOptions: { 
				area:{ 
					color:'#3994FF',
					lineWidth: 0
				},
				//设置区域的透明度 fillOpacity: num 最大为1
				series: {
					fillOpacity: 0.8
				}
			},
	    	tooltip: {
	    		pointFormat: '{series.name}: <b>{point.y}元',
	    		headerFormat: '<span style="font-size: 10px">{point.x}</span><br/>',
	    		valueDecimals: getJeXsw()
	    	},
	    	xAxis: {
	    		categories: labels
	    	},
	    	series: [{
	    		name: '销售额',
	    		data: dataList,
				marker: {
					enabled:false
				}
	    	}]
	    });
	});
}