
/**
* 1、字符串转换为十六进制
* 主要使用 charCodeAt()方法，此方法返回一个字符的 Unicode 值，该字符位于指定索引位置。
*/
function stringToHex(str) {
	var val = "";
	for (var i =0; i < str.length; i++) {
		val += str.charCodeAt(i).toString(16);
	}
	return val;
}

function filterChinese(str) {
	var tmp = str.split(''), arr = [];
	for (var i =0, c = tmp.length; i < c; i++) {
		var s = tmp[i].charCodeAt();
		if (s > 0 && s <127) {
			arr.push(tmp[i]);
		}
	}
	return arr;
};

function strToHex(hex, isFilterChinese) {
	hex = isFilterChinese ? filterChinese(hex).join('') : convertChinese(hex).join('');

	//清除所有空格
	hex = hex.replace(/\s/g, "");
	//若字符个数为奇数，补一个空格
	hex += hex.length % 2 != 0 ? " " : "";

	var c = hex.length / 2, arr = [];
	for (var i =0; i < c; i++) {
		arr.push(parseInt(hex.substr(i * 2, 2), 16));
	}
	return arr;
};

/**
* 16进制字符串转ArrayBuffer
*/
function hexString2ArrayBuffer(hexStr) {
	
	console.log(JSON.stringify(hexStr));

	var count = hexStr.length / 2;
	var buffer = new ArrayBuffer(count);
	var dataView = new DataView(buffer);
	for (var i =0; i < count; i++) {
		var curCharCode = parseInt(hexStr.substr(i *2, 2), 16);
		dataView.setUint8(i, curCharCode);
	}
	return buffer;
}

function convertChinese(str) {
	var tmp = str.split(''), arr = [];
	for (var i =0, c = tmp.length; i < c; i++) {
		var s = tmp[i].charCodeAt();
		if (s <= 0 || s >=127) {
			arr.push(s.toString(16));
		}
		else {
			arr.push(tmp[i]);
		}
	}
	return arr;
};